using System;
using System.Collections.Generic;
using System.IO;
using UnityEngine;
using UnityEngine.Events;

namespace OldGuns
{
    public class OldGuns
    {
        public static void Main()
        {

            CategoryBuilder.Create("PPGARMY", "Category with all PPGARMY related stuff (no guns included)",ModAPI.LoadSprite("e2.png"));
                                 
            //e
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "PPGArmy Footman 1",
                    NameToOrderByOverride = "A1",
                    DescriptionOverride = "A main infantry of PPG Army",
                    CategoryOverride = ModAPI.FindCategory("PPGARMY"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumb/1.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("Sprites/s1.png");
                        var flesh = ModAPI.LoadTexture(".png");
                        var bone = ModAPI.LoadTexture(".png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                    }
                }
            );                       
            //e
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "PPGArmy Footman 2",
                    NameToOrderByOverride = "A1",
                    DescriptionOverride = "A main infantry of PPG army , this time with balaclava.",
                    CategoryOverride = ModAPI.FindCategory("PPGARMY"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumb/2.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("Sprites/s2.png");
                        var flesh = ModAPI.LoadTexture(".png");
                        var bone = ModAPI.LoadTexture(".png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                    }
                }
            );                           
            //e
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "PPGArmy Footman 3",
                    NameToOrderByOverride = "A1",
                    DescriptionOverride = "This time with no gloves.",
                    CategoryOverride = ModAPI.FindCategory("PPGARMY"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumb/3.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("Sprites/s2b.png");
                        var flesh = ModAPI.LoadTexture(".png");
                        var bone = ModAPI.LoadTexture(".png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                    }
                }
            );        
            //e
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "PPGArmy Footman 4",
                    NameToOrderByOverride = "A1",
                    DescriptionOverride = "This time with no gloves. but with balaclava!",
                    CategoryOverride = ModAPI.FindCategory("PPGARMY"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumb/4.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("Sprites/s4.png");
                        var flesh = ModAPI.LoadTexture(".png");
                        var bone = ModAPI.LoadTexture(".png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                    }
                }
            );       
            //e
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "PPGArmy Footman 5",
                    NameToOrderByOverride = "A1",
                    DescriptionOverride = "This unit is unique , it can be considired as a marksman unit",
                    CategoryOverride = ModAPI.FindCategory("PPGARMY"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumb/5.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("Sprites/s5.png");
                        var flesh = ModAPI.LoadTexture(".png");
                        var bone = ModAPI.LoadTexture(".png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                    }
                }
            );                      
            //e
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "PPGArmy Scout",
                    NameToOrderByOverride = "A1",
                    DescriptionOverride = "PPG Army scouting unit.",
                    CategoryOverride = ModAPI.FindCategory("PPGARMY"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumb/6.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("Sprites/s6.png");
                        var flesh = ModAPI.LoadTexture(".png");
                        var bone = ModAPI.LoadTexture(".png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                    }
                }
            );                 
            //e
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "PPGArmy Engineer",
                    NameToOrderByOverride = "A1",
                    DescriptionOverride = "Sentry goin' up!",
                    CategoryOverride = ModAPI.FindCategory("PPGARMY"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumb/7.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("Sprites/s7.png");
                        var flesh = ModAPI.LoadTexture(".png");
                        var bone = ModAPI.LoadTexture(".png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                    }
                }
            );     
            //e
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "PPGArmy Military Officer",
                    NameToOrderByOverride = "A1",
                    DescriptionOverride = "Mostly works in the base , very rarely seen in battlefield.",
                    CategoryOverride = ModAPI.FindCategory("PPGARMY"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumb/37.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("Sprites/of.png");
                        var flesh = ModAPI.LoadTexture(".png");
                        var bone = ModAPI.LoadTexture(".png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                    }
                }
            );    
            //e
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "PPGArmy Footman 6",
                    NameToOrderByOverride = "A1",
                    DescriptionOverride = "Doesnt have an shirt",
                    CategoryOverride = ModAPI.FindCategory("PPGARMY"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumb/56.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("Sprites/s8.png");
                        var flesh = ModAPI.LoadTexture(".png");
                        var bone = ModAPI.LoadTexture(".png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                    }
                }
            );              
            //e
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "PPGArmy PMC 1",
                    NameToOrderByOverride = "A1",
                    DescriptionOverride = "Hired mercenary ",
                    CategoryOverride = ModAPI.FindCategory("PPGARMY"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumb/98.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("Sprites/PMC/P1.png");
                        var flesh = ModAPI.LoadTexture(".png");
                        var bone = ModAPI.LoadTexture(".png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                    }
                }
            );              
            //e
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "PPGArmy PMC 2",
                    NameToOrderByOverride = "A1",
                    DescriptionOverride = "he looks like a bandit but he isnt a bandit ",
                    CategoryOverride = ModAPI.FindCategory("PPGARMY"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumb/99.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("Sprites/PMC/P2.png");
                        var flesh = ModAPI.LoadTexture(".png");
                        var bone = ModAPI.LoadTexture(".png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                    }
                }
            );     
            //e
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "PPGArmy PMC 3",
                    NameToOrderByOverride = "A1",
                    DescriptionOverride = "Beanie ",
                    CategoryOverride = ModAPI.FindCategory("PPGARMY"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumb/100.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("Sprites/PMC/P3.png");
                        var flesh = ModAPI.LoadTexture(".png");
                        var bone = ModAPI.LoadTexture(".png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                    }
                }
            );     
            //e
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "PPGArmy PMC 4",
                    NameToOrderByOverride = "A1",
                    DescriptionOverride = "is this a mercenary or an bandit? ",
                    CategoryOverride = ModAPI.FindCategory("PPGARMY"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumb/101.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("Sprites/PMC/P4.png");
                        var flesh = ModAPI.LoadTexture(".png");
                        var bone = ModAPI.LoadTexture(".png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                    }
                }
            );                                                                               
            //e
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "PPGArmy Forestmen 1",
                    NameToOrderByOverride = "A1",
                    DescriptionOverride = "Uses forest camoflauge",
                    CategoryOverride = ModAPI.FindCategory("PPGARMY"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumb/62.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("Sprites/forestmen/f1.png");
                        var flesh = ModAPI.LoadTexture(".png");
                        var bone = ModAPI.LoadTexture(".png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                    }
                }
            );    
            //e
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "PPGArmy Forestmen 2",
                    NameToOrderByOverride = "A1",
                    DescriptionOverride = "Uses forest camoflauge , balaclava!!",
                    CategoryOverride = ModAPI.FindCategory("PPGARMY"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumb/63.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("Sprites/forestmen/f2.png");
                        var flesh = ModAPI.LoadTexture(".png");
                        var bone = ModAPI.LoadTexture(".png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                    }
                }
            );  
            //e
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "PPGArmy Forestmen 3",
                    NameToOrderByOverride = "A1",
                    DescriptionOverride = "Uses forest camoflauge ,no gloves",
                    CategoryOverride = ModAPI.FindCategory("PPGARMY"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumb/64.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("Sprites/forestmen/f3.png");
                        var flesh = ModAPI.LoadTexture(".png");
                        var bone = ModAPI.LoadTexture(".png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                    }
                }
            );  
            //e
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "PPGArmy Forestmen 4",
                    NameToOrderByOverride = "A1",
                    DescriptionOverride = "Uses forest camoflauge , balaclava but no gloves",
                    CategoryOverride = ModAPI.FindCategory("PPGARMY"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumb/65.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("Sprites/forestmen/f4.png");
                        var flesh = ModAPI.LoadTexture(".png");
                        var bone = ModAPI.LoadTexture(".png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                    }
                }
            );    
            //e
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "PPGArmy Forestmen Commando",
                    NameToOrderByOverride = "A1",
                    DescriptionOverride = "Uses forest camoflauge , Supposed to be an sabotage unit",
                    CategoryOverride = ModAPI.FindCategory("PPGARMY"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumb/66.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("Sprites/forestmen/c.png");
                        var flesh = ModAPI.LoadTexture(".png");
                        var bone = ModAPI.LoadTexture(".png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                    }
                }
            );  
            //e
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "PPGArmy Forestmen Officer",
                    NameToOrderByOverride = "A1",
                    DescriptionOverride = "He is fully in green uniform",
                    CategoryOverride = ModAPI.FindCategory("PPGARMY"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumb/67.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("Sprites/forestmen/of.png");
                        var flesh = ModAPI.LoadTexture(".png");
                        var bone = ModAPI.LoadTexture(".png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                    }
                }
            );         
            //e
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "PPGArmy Sandoid 1",
                    NameToOrderByOverride = "A1",
                    DescriptionOverride = "Desert variation of Footman",
                    CategoryOverride = ModAPI.FindCategory("PPGARMY"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumb/79.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("Sprites/sandoid/s1.png");
                        var flesh = ModAPI.LoadTexture(".png");
                        var bone = ModAPI.LoadTexture(".png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                    }
                }
            );   
            //e
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "PPGArmy Sandoid 2",
                    NameToOrderByOverride = "A1",
                    DescriptionOverride = "Desert variation of Footma , has a tan balaclava",
                    CategoryOverride = ModAPI.FindCategory("PPGARMY"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumb/81.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("Sprites/sandoid/s2.png");
                        var flesh = ModAPI.LoadTexture(".png");
                        var bone = ModAPI.LoadTexture(".png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                    }
                }
            );  
            //e
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "PPGArmy Sandoid 3",
                    NameToOrderByOverride = "A1",
                    DescriptionOverride = "Desert variation of Footman, shirtless",
                    CategoryOverride = ModAPI.FindCategory("PPGARMY"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumb/82.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("Sprites/sandoid/s3.png");
                        var flesh = ModAPI.LoadTexture(".png");
                        var bone = ModAPI.LoadTexture(".png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                    }
                }
            );    
            //e
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "PPGArmy Sandoid 4",
                    NameToOrderByOverride = "A1",
                    DescriptionOverride = "Desert variation of Footman, has gloves",
                    CategoryOverride = ModAPI.FindCategory("PPGARMY"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumb/83.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("Sprites/sandoid/s4.png");
                        var flesh = ModAPI.LoadTexture(".png");
                        var bone = ModAPI.LoadTexture(".png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                    }
                }
            );    
            //e
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "PPGArmy Sandoid 5",
                    NameToOrderByOverride = "A1",
                    DescriptionOverride = "Desert variation of Footman , no gloves , has a cool tan balaclava.",
                    CategoryOverride = ModAPI.FindCategory("PPGARMY"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumb/80.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("Sprites/sandoid/s5.png");
                        var flesh = ModAPI.LoadTexture(".png");
                        var bone = ModAPI.LoadTexture(".png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                    }
                }
            );           
            //e
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "PPGArmy Sandoid Ranger",
                    NameToOrderByOverride = "A1",
                    DescriptionOverride = "Ranger unit , almost has no changes expect for grime and sleeves",
                    CategoryOverride = ModAPI.FindCategory("PPGARMY"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumb/84.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("Sprites/sandoid/r.png");
                        var flesh = ModAPI.LoadTexture(".png");
                        var bone = ModAPI.LoadTexture(".png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                    }
                }
            );          
            //e
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "PPGArmy Police Man 1",
                    NameToOrderByOverride = "A1",
                    DescriptionOverride = "Police man , nothing special",
                    CategoryOverride = ModAPI.FindCategory("PPGARMY"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumb/85.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("Sprites/police/p1.png");
                        var flesh = ModAPI.LoadTexture(".png");
                        var bone = ModAPI.LoadTexture(".png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                    }
                }
            );          
            //e
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "PPGArmy Police Man 2",
                    NameToOrderByOverride = "A1",
                    DescriptionOverride = "Police man , rolled up sleeves.",
                    CategoryOverride = ModAPI.FindCategory("PPGARMY"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumb/86.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("Sprites/police/p2.png");
                        var flesh = ModAPI.LoadTexture(".png");
                        var bone = ModAPI.LoadTexture(".png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                    }
                }
            );                     
            //e
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "PPGArmy Riot Control Unit",
                    NameToOrderByOverride = "A1",
                    DescriptionOverride = "More soldier-like police man",
                    CategoryOverride = ModAPI.FindCategory("PPGARMY"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumb/87.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("Sprites/police/riot.png");
                        var flesh = ModAPI.LoadTexture(".png");
                        var bone = ModAPI.LoadTexture(".png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                    }
                }
            );    
ModAPI.Register(
new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Rod"),
        NameOverride = "PPGArmy Riot Control Helmet", 
        DescriptionOverride = "Used by ingame police riot unit.", 
        CategoryOverride = ModAPI.FindCategory("PPGARMY"),
        ThumbnailOverride = ModAPI.LoadSprite("Thumb/97.png"),
        AfterSpawn = (Instance) => 
        {
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/police/riot1.png");
            
ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.threepieces = false;

                        armor.armorTier = 3;
                        armor.stabResistance = 3f;
                        armor.armorPiece = "Head";
            Instance.FixColliders();
      }
   }
);                                                            
ModAPI.Register(
new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Rod"),
        NameOverride = "PPGArmy Helmet Sandoid", 
        DescriptionOverride = "Used by ingame army.", 
        CategoryOverride = ModAPI.FindCategory("PPGARMY"),
        ThumbnailOverride = ModAPI.LoadSprite("Thumb/92.png"),
        AfterSpawn = (Instance) => 
        {
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/sandoid/shat1.png");
            
ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.threepieces = false;

                        armor.armorTier = 3;
                        armor.stabResistance = 3f;
                        armor.armorPiece = "Head";
            Instance.FixColliders();
      }
   }
);      
ModAPI.Register(
new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Rod"),
        NameOverride = "PPGArmy Helmet Sandoid Googles", 
        DescriptionOverride = "Used by ingame army.", 
        CategoryOverride = ModAPI.FindCategory("PPGARMY"),
        ThumbnailOverride = ModAPI.LoadSprite("Thumb/94.png"),
        AfterSpawn = (Instance) => 
        {
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/sandoid/shat2.png");
            
ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.threepieces = false;

                        armor.armorTier = 3;
                        armor.stabResistance = 3f;
                        armor.armorPiece = "Head";
            Instance.FixColliders();
      }
   }
);     
ModAPI.Register(
new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Rod"),
        NameOverride = "PPGArmy Helmet Sandoid Googles lowered", 
        DescriptionOverride = "Used by ingame army.", 
        CategoryOverride = ModAPI.FindCategory("PPGARMY"),
        ThumbnailOverride = ModAPI.LoadSprite("Thumb/112.png"),
        AfterSpawn = (Instance) => 
        {
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/sandoid/shat5.png");
            
ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.threepieces = false;

                        armor.armorTier = 3;
                        armor.stabResistance = 3f;
                        armor.armorPiece = "Head";
            Instance.FixColliders();
      }
   }
);     
ModAPI.Register(
new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Rod"),
        NameOverride = "PPGArmy Helmet Sandoid Gasmask", 
        DescriptionOverride = "Used by ingame army. Has an unique modern gasmask..", 
        CategoryOverride = ModAPI.FindCategory("PPGARMY"),
        ThumbnailOverride = ModAPI.LoadSprite("Thumb/93.png"),
        AfterSpawn = (Instance) => 
        {
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/sandoid/shat3.png");
            
ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.threepieces = false;

                        armor.armorTier = 3;
                        armor.stabResistance = 3f;
                        armor.armorPiece = "Head";
            Instance.FixColliders();
      }
   }
);                                                                                           
ModAPI.Register(
new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Rod"),
        NameOverride = "PPGArmy Helmet Forestmen", 
        DescriptionOverride = "Used by ingame army.", 
        CategoryOverride = ModAPI.FindCategory("PPGARMY"),
        ThumbnailOverride = ModAPI.LoadSprite("Thumb/73.png"),
        AfterSpawn = (Instance) => 
        {
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/forestmen/fhat2.png");
            
ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.threepieces = false;

                        armor.armorTier = 3;
                        armor.stabResistance = 3f;
                        armor.armorPiece = "Head";
            Instance.FixColliders();
      }
   }
);   
ModAPI.Register(
new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Rod"),
        NameOverride = "PPGArmy Helmet Forestmen Googles", 
        DescriptionOverride = "Used by ingame army.", 
        CategoryOverride = ModAPI.FindCategory("PPGARMY"),
        ThumbnailOverride = ModAPI.LoadSprite("Thumb/75.png"),
        AfterSpawn = (Instance) => 
        {
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/forestmen/fhat1.png");
            
ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.threepieces = false;

                        armor.armorTier = 3;
                        armor.stabResistance = 3f;
                        armor.armorPiece = "Head";
            Instance.FixColliders();
      }
   }
);     
ModAPI.Register(
new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Rod"),
        NameOverride = "PPGArmy Helmet Forestmen Gasmask", 
        DescriptionOverride = "Used by ingame army.", 
        CategoryOverride = ModAPI.FindCategory("PPGARMY"),
        ThumbnailOverride = ModAPI.LoadSprite("Thumb/74.png"),
        AfterSpawn = (Instance) => 
        {
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/forestmen/fhat3.png");
            
ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.threepieces = false;

                        armor.armorTier = 3;
                        armor.stabResistance = 3f;
                        armor.armorPiece = "Head";
            Instance.FixColliders();
      }
   }
);   
ModAPI.Register(
new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Rod"),
        NameOverride = "PPGArmy Helmet Forestmen Googles (lowered)", 
        DescriptionOverride = "Used by ingame army.", 
        CategoryOverride = ModAPI.FindCategory("PPGARMY"),
        ThumbnailOverride = ModAPI.LoadSprite("Thumb/76.png"),
        AfterSpawn = (Instance) => 
        {
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/forestmen/fhat7.png");
            
ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.threepieces = false;

                        armor.armorTier = 3;
                        armor.stabResistance = 3f;
                        armor.armorPiece = "Head";
            Instance.FixColliders();
      }
   }
);   
ModAPI.Register(
new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Rod"),
        NameOverride = "PPGArmy Helmet Forestmen Heavy", 
        DescriptionOverride = "Used by ingame army.", 
        CategoryOverride = ModAPI.FindCategory("PPGARMY"),
        ThumbnailOverride = ModAPI.LoadSprite("Thumb/77.png"),
        AfterSpawn = (Instance) => 
        {
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/forestmen/fhat6.png");
            
ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.threepieces = false;

                        armor.armorTier = 3;
                        armor.stabResistance = 3f;
                        armor.armorPiece = "Head";
            Instance.FixColliders();
      }
   }
);         
ModAPI.Register(
new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Bowling Pin"),
        NameOverride = "PPGArmy Combat Beret Sandoid", 
        DescriptionOverride = "Used by ingame army.", 
        CategoryOverride = ModAPI.FindCategory("PPGARMY"),
        ThumbnailOverride = ModAPI.LoadSprite("Thumb/89.png"),
        AfterSpawn = (Instance) => 
        {
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/sandoid/shat4.png");
            
ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.threepieces = false;

                        armor.armorTier = 3;
                        armor.stabResistance = 3f;
                        armor.armorPiece = "Head";
            Instance.FixColliders();
      }
   }
);      
ModAPI.Register(
new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Bowling Pin"),
        NameOverride = "PPGArmy Police Cap", 
        DescriptionOverride = "Used by ingame police???", 
        CategoryOverride = ModAPI.FindCategory("PPGARMY"),
        ThumbnailOverride = ModAPI.LoadSprite("Thumb/95.png"),
        AfterSpawn = (Instance) => 
        {
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/police/pcap.png");
            
ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.threepieces = false;

                        armor.armorTier = 3;
                        armor.stabResistance = 3f;
                        armor.armorPiece = "Head";
            Instance.FixColliders();
      }
   }
);      
ModAPI.Register(
new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Bowling Pin"),
        NameOverride = "PPGArmy Police Cap 2", 
        DescriptionOverride = "Used by ingame police???", 
        CategoryOverride = ModAPI.FindCategory("PPGARMY"),
        ThumbnailOverride = ModAPI.LoadSprite("Thumb/96.png"),
        AfterSpawn = (Instance) => 
        {
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/police/pcap2.png");
            
ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.threepieces = false;

                        armor.armorTier = 3;
                        armor.stabResistance = 3f;
                        armor.armorPiece = "Head";
            Instance.FixColliders();
      }
   }
);     
ModAPI.Register(
new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Bowling Pin"),
        NameOverride = "PPGArmy Combat Beret Forestmen", 
        DescriptionOverride = "Used by ingame army.", 
        CategoryOverride = ModAPI.FindCategory("PPGARMY"),
        ThumbnailOverride = ModAPI.LoadSprite("Thumb/70.png"),
        AfterSpawn = (Instance) => 
        {
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/forestmen/beret1.png");
            
ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.threepieces = false;

                        armor.armorTier = 3;
                        armor.stabResistance = 3f;
                        armor.armorPiece = "Head";
            Instance.FixColliders();
      }
   }
);      
ModAPI.Register(
new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Bowling Pin"),
        NameOverride = "PPGArmy Cap Forestmen", 
        DescriptionOverride = "Used by ingame army.", 
        CategoryOverride = ModAPI.FindCategory("PPGARMY"),
        ThumbnailOverride = ModAPI.LoadSprite("Thumb/68.png"),
        AfterSpawn = (Instance) => 
        {
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/forestmen/fhat4.png");
            
ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.threepieces = false;

                        armor.armorTier = 3;
                        armor.stabResistance = 3f;
                        armor.armorPiece = "Head";
            Instance.FixColliders();
      }
   }
); 
ModAPI.Register(
new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Bowling Pin"),
        NameOverride = "PPGArmy Cap Sandoid", 
        DescriptionOverride = "Used by ingame army.", 
        CategoryOverride = ModAPI.FindCategory("PPGARMY"),
        ThumbnailOverride = ModAPI.LoadSprite("Thumb/113.png"),
        AfterSpawn = (Instance) => 
        {
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/sandoid/shat6.png");
            
ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.threepieces = false;

                        armor.armorTier = 3;
                        armor.stabResistance = 3f;
                        armor.armorPiece = "Head";
            Instance.FixColliders();
      }
   }
);   
ModAPI.Register(
new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Bowling Pin"),
        NameOverride = "PPGArmy Combat Cap Sandoid", 
        DescriptionOverride = "Used by ingame army.", 
        CategoryOverride = ModAPI.FindCategory("PPGARMY"),
        ThumbnailOverride = ModAPI.LoadSprite("Thumb/90.png"),
        AfterSpawn = (Instance) => 
        {
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/sandoid/shat7.png");
            
ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.threepieces = false;

                        armor.armorTier = 3;
                        armor.stabResistance = 3f;
                        armor.armorPiece = "Head";
            Instance.FixColliders();
      }
   }
);     
ModAPI.Register(
new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Bowling Pin"),
        NameOverride = "PPGArmy Combat Cap Forestmen", 
        DescriptionOverride = "Used by ingame army.", 
        CategoryOverride = ModAPI.FindCategory("PPGARMY"),
        ThumbnailOverride = ModAPI.LoadSprite("Thumb/71.png"),
        AfterSpawn = (Instance) => 
        {
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/forestmen/fhat5.png");
            
ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.threepieces = false;

                        armor.armorTier = 3;
                        armor.stabResistance = 3f;
                        armor.armorPiece = "Head";
            Instance.FixColliders();
      }
   }
);                         
ModAPI.Register(
new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Bowling Pin"),
        NameOverride = "PPGArmy Officer Cap Forestmen", 
        DescriptionOverride = "Used by ingame army.", 
        CategoryOverride = ModAPI.FindCategory("PPGARMY"),
        ThumbnailOverride = ModAPI.LoadSprite("Thumb/78.png"),
        AfterSpawn = (Instance) => 
        {
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/forestmen/of1.png");
            
ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.threepieces = false;

                        armor.armorTier = 3;
                        armor.stabResistance = 3f;
                        armor.armorPiece = "Head";
            Instance.FixColliders();
      }
   }
);                                        
ModAPI.Register(
new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Bowling Pin"),
        NameOverride = "PPGArmy Officer Hat", 
        DescriptionOverride = "Used by ingame army.", 
        CategoryOverride = ModAPI.FindCategory("PPGARMY"),
        ThumbnailOverride = ModAPI.LoadSprite("Thumb/45.png"),
        AfterSpawn = (Instance) => 
        {
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/of_hat.png");
            
ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.threepieces = false;

                        armor.armorTier = 3;
                        armor.stabResistance = 3f;
                        armor.armorPiece = "Head";
            Instance.FixColliders();
      }
   }
);           
ModAPI.Register(
new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Bowling Pin"),
        NameOverride = "PPGArmy Boonie Hat", 
        DescriptionOverride = "Used by ingame army.", 
        CategoryOverride = ModAPI.FindCategory("PPGARMY"),
        ThumbnailOverride = ModAPI.LoadSprite("Thumb/109.png"),
        AfterSpawn = (Instance) => 
        {
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/boonie.png");
            
ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.threepieces = false;

                        armor.armorTier = 3;
                        armor.stabResistance = 3f;
                        armor.armorPiece = "Head";
            Instance.FixColliders();
      }
   }
);              
ModAPI.Register(
new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Bowling Pin"),
        NameOverride = "PPGArmy Boonie Hat Forestmen", 
        DescriptionOverride = "Used by ingame army.", 
        CategoryOverride = ModAPI.FindCategory("PPGARMY"),
        ThumbnailOverride = ModAPI.LoadSprite("Thumb/110.png"),
        AfterSpawn = (Instance) => 
        {
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/forestmen/boonie.png");
            
ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.threepieces = false;

                        armor.armorTier = 3;
                        armor.stabResistance = 3f;
                        armor.armorPiece = "Head";
            Instance.FixColliders();
      }
   }
);              
ModAPI.Register(
new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Bowling Pin"),
        NameOverride = "PPGArmy Boonie Hat Sandoid", 
        DescriptionOverride = "Used by ingame army.", 
        CategoryOverride = ModAPI.FindCategory("PPGARMY"),
        ThumbnailOverride = ModAPI.LoadSprite("Thumb/111.png"),
        AfterSpawn = (Instance) => 
        {
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/sandoid/boonie.png");
            
ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.threepieces = false;

                        armor.armorTier = 3;
                        armor.stabResistance = 3f;
                        armor.armorPiece = "Head";
            Instance.FixColliders();
      }
   }
);               
ModAPI.Register(
new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Rod"),
        NameOverride = "PPGArmy Tehran-A Tactical Combat Helmet", 
        DescriptionOverride = "You can rarely see soldiers with this helmet equiped , Only a few of army units use these!", 
        CategoryOverride = ModAPI.FindCategory("PPGARMY"),
        ThumbnailOverride = ModAPI.LoadSprite("Thumb/105.png"),
        AfterSpawn = (Instance) => 
        {
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/TCH1.png");
            
ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.threepieces = false;

                        armor.armorTier = 3;
                        armor.stabResistance = 3f;
                        armor.armorPiece = "Head";
            Instance.FixColliders();
      }
   }
);              
ModAPI.Register(
new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Rod"),
        NameOverride = "PPGArmy Tehran-B Tactical Combat Helmet", 
        DescriptionOverride = "The only difference is color", 
        CategoryOverride = ModAPI.FindCategory("PPGARMY"),
        ThumbnailOverride = ModAPI.LoadSprite("Thumb/108.png"),
        AfterSpawn = (Instance) => 
        {
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/TCH2.png");
            
ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.threepieces = false;

                        armor.armorTier = 3;
                        armor.stabResistance = 3f;
                        armor.armorPiece = "Head";
            Instance.FixColliders();
      }
   }
);                  
ModAPI.Register(
new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Rod"),
        NameOverride = "PPGArmy Tehran-A Tactical Combat Helmet Forestman", 
        DescriptionOverride = "Effective for woodland stuff", 
        CategoryOverride = ModAPI.FindCategory("PPGARMY"),
        ThumbnailOverride = ModAPI.LoadSprite("Thumb/106.png"),
        AfterSpawn = (Instance) => 
        {
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/forestmen/TCH.png");
            
ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.threepieces = false;

                        armor.armorTier = 3;
                        armor.stabResistance = 3f;
                        armor.armorPiece = "Head";
            Instance.FixColliders();
      }
   }
);        
ModAPI.Register(
new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Rod"),
        NameOverride = "PPGArmy Tehran-A Tactical Combat Helmet Sandoid", 
        DescriptionOverride = "Sand.", 
        CategoryOverride = ModAPI.FindCategory("PPGARMY"),
        ThumbnailOverride = ModAPI.LoadSprite("Thumb/107.png"),
        AfterSpawn = (Instance) => 
        {
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/sandoid/TCH.png");
            
ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.threepieces = false;

                        armor.armorTier = 3;
                        armor.stabResistance = 3f;
                        armor.armorPiece = "Head";
            Instance.FixColliders();
      }
   }
);               
ModAPI.Register(
new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Rod"),
        NameOverride = "PPGArmy Helmet", 
        DescriptionOverride = "Used by ingame army.", 
        CategoryOverride = ModAPI.FindCategory("PPGARMY"),
        ThumbnailOverride = ModAPI.LoadSprite("Thumb/36.png"),
        AfterSpawn = (Instance) => 
        {
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/shat.png");
            
ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.threepieces = false;

                        armor.armorTier = 3;
                        armor.stabResistance = 3f;
                        armor.armorPiece = "Head";
            Instance.FixColliders();
      }
   }
);            
 ModAPI.Register(
new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Rod"),
        NameOverride = "PPGArmy Heavy Helmet", 
        DescriptionOverride = "Used by ingame army.", 
        CategoryOverride = ModAPI.FindCategory("PPGARMY"),
        ThumbnailOverride = ModAPI.LoadSprite("Thumb/59.png"),
        AfterSpawn = (Instance) => 
        {
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/khat1.png");
            
ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.threepieces = false;

                        armor.armorTier = 3;
                        armor.stabResistance = 3f;
                        armor.armorPiece = "Head";
            Instance.FixColliders();
      }
   }
);      
ModAPI.Register(
new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Rod"),
        NameOverride = "PPGArmy Heavy Helmet Black", 
        DescriptionOverride = "Used by ingame army.", 
        CategoryOverride = ModAPI.FindCategory("PPGARMY"),
        ThumbnailOverride = ModAPI.LoadSprite("Thumb/58.png"),
        AfterSpawn = (Instance) => 
        {
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/khat2.png");
            
ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.threepieces = false;

                        armor.armorTier = 3;
                        armor.stabResistance = 3f;
                        armor.armorPiece = "Head";
            Instance.FixColliders();
      }
   }
);          
ModAPI.Register(
new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Rod"),
        NameOverride = "PPGArmy Black helmet", 
        DescriptionOverride = "Black variant of the helmet.", 
        CategoryOverride = ModAPI.FindCategory("PPGARMY"),
        ThumbnailOverride = ModAPI.LoadSprite("Thumb/28.png"),
        AfterSpawn = (Instance) => 
        {
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/shat2.png");
            
ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.threepieces = false;

                        armor.armorTier = 3;
                        armor.stabResistance = 3f;
                        armor.armorPiece = "Head";
            Instance.FixColliders();
      }
   }
);             
ModAPI.Register(
new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Rod"),
        NameOverride = "PPGArmy Gasmask Black helmet", 
        DescriptionOverride = "Black variant of the helmet.", 
        CategoryOverride = ModAPI.FindCategory("PPGARMY"),
        ThumbnailOverride = ModAPI.LoadSprite("Thumb/39.png"),
        AfterSpawn = (Instance) => 
        {
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/ghat2.png");
            
ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.threepieces = false;

                        armor.armorTier = 3;
                        armor.stabResistance = 3f;
                        armor.armorPiece = "Head";
            Instance.FixColliders();
      }
   }
);    
ModAPI.Register(
new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Rod"),
        NameOverride = "PPGArmy Gasmask helmet", 
        DescriptionOverride = "Black variant of the helmet.", 
        CategoryOverride = ModAPI.FindCategory("PPGARMY"),
        ThumbnailOverride = ModAPI.LoadSprite("Thumb/40.png"),
        AfterSpawn = (Instance) => 
        {
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/ghat.png");
            
ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.threepieces = false;

                        armor.armorTier = 3;
                        armor.stabResistance = 3f;
                        armor.armorPiece = "Head";
            Instance.FixColliders();
      }
   }
);        
ModAPI.Register(
new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Rod"),
        NameOverride = "PPGArmy Googled helmet", 
        DescriptionOverride = "An helmet that has an googles on it.", 
        CategoryOverride = ModAPI.FindCategory("PPGARMY"),
        ThumbnailOverride = ModAPI.LoadSprite("Thumb/41.png"),
        AfterSpawn = (Instance) => 
        {
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/hhat1.png");
            
ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.threepieces = false;

                        armor.armorTier = 3;
                        armor.stabResistance = 3f;
                        armor.armorPiece = "Head";
            Instance.FixColliders();
      }
   }
);             
ModAPI.Register(
new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Rod"),
        NameOverride = "PPGArmy Googled helmet black", 
        DescriptionOverride = "An helmet that has an googles on it.", 
        CategoryOverride = ModAPI.FindCategory("PPGARMY"),
        ThumbnailOverride = ModAPI.LoadSprite("Thumb/43.png"),
        AfterSpawn = (Instance) => 
        {
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/hhat2.png");
            
ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.threepieces = false;

                        armor.armorTier = 3;
                        armor.stabResistance = 3f;
                        armor.armorPiece = "Head";
            Instance.FixColliders();
      }
   }
);   
ModAPI.Register(
new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Rod"),
        NameOverride = "PPGArmy Googled helmet (lowered)", 
        DescriptionOverride = "An helmet that has an googles on it.", 
        CategoryOverride = ModAPI.FindCategory("PPGARMY"),
        ThumbnailOverride = ModAPI.LoadSprite("Thumb/42.png"),
        AfterSpawn = (Instance) => 
        {
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/vhat1.png");
            
ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.threepieces = false;

                        armor.armorTier = 3;
                        armor.stabResistance = 3f;
                        armor.armorPiece = "Head";
            Instance.FixColliders();
      }
   }
);      
ModAPI.Register(
new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Rod"),
        NameOverride = "PPGArmy Googled helmet Black (lowered)", 
        DescriptionOverride = "An helmet that has an googles on it.", 
        CategoryOverride = ModAPI.FindCategory("PPGARMY"),
        ThumbnailOverride = ModAPI.LoadSprite("Thumb/44.png"),
        AfterSpawn = (Instance) => 
        {
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/vhat2.png");
            
ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.threepieces = false;

                        armor.armorTier = 3;
                        armor.stabResistance = 3f;
                        armor.armorPiece = "Head";
            Instance.FixColliders();
      }
   }
);                                                
ModAPI.Register(
new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Bowling Pin"),
        NameOverride = "PPGArmy Combat Beret", 
        DescriptionOverride = "Used by ingame army.", 
        CategoryOverride = ModAPI.FindCategory("PPGARMY"),
        ThumbnailOverride = ModAPI.LoadSprite("Thumb/31.png"),
        AfterSpawn = (Instance) => 
        {
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/beret.png");
            
ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.threepieces = false;

                        armor.armorTier = 3;
                        armor.stabResistance = 3f;
                        armor.armorPiece = "Head";
            Instance.FixColliders();
      }
   }
);   
ModAPI.Register(
new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Bowling Pin"),
        NameOverride = "PPGArmy Combat Beret 2", 
        DescriptionOverride = "Used by ingame army.", 
        CategoryOverride = ModAPI.FindCategory("PPGARMY"),
        ThumbnailOverride = ModAPI.LoadSprite("Thumb/57.png"),
        AfterSpawn = (Instance) => 
        {
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/beret2.png");
            
ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.threepieces = false;

                        armor.armorTier = 3;
                        armor.stabResistance = 3f;
                        armor.armorPiece = "Head";
            Instance.FixColliders();
      }
   }
);          
ModAPI.Register(
new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Bowling Pin"),
        NameOverride = "PPGArmy Cap", 
        DescriptionOverride = "Used by ingame army.", 
        CategoryOverride = ModAPI.FindCategory("PPGARMY"),
        ThumbnailOverride = ModAPI.LoadSprite("Thumb/29.png"),
        AfterSpawn = (Instance) => 
        {
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/cap.png");
            
ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.threepieces = false;

                        armor.armorTier = 3;
                        armor.stabResistance = 3f;
                        armor.armorPiece = "Head";
            Instance.FixColliders();
      }
   }
);            
ModAPI.Register(
new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Bowling Pin"),
        NameOverride = "PPGArmy Combat Cap", 
        DescriptionOverride = "Used by ingame army.", 
        CategoryOverride = ModAPI.FindCategory("PPGARMY"),
        ThumbnailOverride = ModAPI.LoadSprite("Thumb/32.png"),
        AfterSpawn = (Instance) => 
        {
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/cap2.png");
            
ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.threepieces = false;

                        armor.armorTier = 3;
                        armor.stabResistance = 3f;
                        armor.armorPiece = "Head";
            Instance.FixColliders();
      }
   }
);           
ModAPI.Register(
new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Bowling Pin"),
        NameOverride = "PPGArmy Combat Headphones", 
        DescriptionOverride = "Used by ingame army.", 
        CategoryOverride = ModAPI.FindCategory("PPGARMY"),
        ThumbnailOverride = ModAPI.LoadSprite("Thumb/33.png"),
        AfterSpawn = (Instance) => 
        {
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/hp.png");
            
ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.threepieces = false;

                        armor.armorTier = 3;
                        armor.stabResistance = 3f;
                        armor.armorPiece = "Head";
            Instance.FixColliders();
      }
   }
);                                                  
ModAPI.Register(
new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Rod"),
        NameOverride = "PPGArmy Combat Vest Upper", 
        DescriptionOverride = "Used by ingame army.", 
        CategoryOverride = ModAPI.FindCategory("PPGARMY"),
        ThumbnailOverride = ModAPI.LoadSprite("Thumb/35.png"),
        AfterSpawn = (Instance) => 
        {
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/vest1.png");
            
ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.threepieces = false;

                        armor.armorTier = 3;
                        armor.stabResistance = 3f;
                        armor.armorPiece = "UpperBody";
            Instance.FixColliders();
      }
   }
);                                               
ModAPI.Register(
new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Rod"),
        NameOverride = "PPGArmy Combat Vest Middle", 
        DescriptionOverride = "Used by ingame army.", 
        CategoryOverride = ModAPI.FindCategory("PPGARMY"),
        ThumbnailOverride = ModAPI.LoadSprite("Thumb/35.png"),
        AfterSpawn = (Instance) => 
        {
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/vest2.png");
            
ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.threepieces = false;

                        armor.armorTier = 3;
                        armor.stabResistance = 3f;
                        armor.armorPiece = "MiddleBody";
            Instance.FixColliders();
      }
   }
);     
ModAPI.Register(
new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Rod"),
        NameOverride = "PPGArmy Combat Vest Lower", 
        DescriptionOverride = "Used by ingame army.", 
        CategoryOverride = ModAPI.FindCategory("PPGARMY"),
        ThumbnailOverride = ModAPI.LoadSprite("Thumb/35.png"),
        AfterSpawn = (Instance) => 
        {
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/vest3.png");
            
ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.threepieces = false;

                        armor.armorTier = 3;
                        armor.stabResistance = 3f;
                        armor.armorPiece = "LowerBody";
            Instance.FixColliders();
      }
   }
);   
ModAPI.Register(
new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Rod"),
        NameOverride = "PPGArmy Combat Backpack", 
        DescriptionOverride = "Used by ingame army.", 
        CategoryOverride = ModAPI.FindCategory("PPGARMY"),
        ThumbnailOverride = ModAPI.LoadSprite("Thumb/30.png"),
        AfterSpawn = (Instance) => 
        {
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/backpack.png");
            
ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.threepieces = false;

                        armor.armorTier = 3;
                        armor.stabResistance = 3f;
                        armor.armorPiece = "UpperBody";
            Instance.FixColliders();
      }
   }
);   
ModAPI.Register(
new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Rod"),
        NameOverride = "PPGArmy Combat Backpack Forestmen", 
        DescriptionOverride = "Used by ingame army.", 
        CategoryOverride = ModAPI.FindCategory("PPGARMY"),
        ThumbnailOverride = ModAPI.LoadSprite("Thumb/69.png"),
        AfterSpawn = (Instance) => 
        {
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/forestmen/b1.png");
            
ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.threepieces = false;

                        armor.armorTier = 3;
                        armor.stabResistance = 3f;
                        armor.armorPiece = "UpperBody";
            Instance.FixColliders();
      }
   }
);   
ModAPI.Register(
new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Rod"),
        NameOverride = "PPGArmy Combat Radio Pack Forestmen", 
        DescriptionOverride = "Used by ingame army.", 
        CategoryOverride = ModAPI.FindCategory("PPGARMY"),
        ThumbnailOverride = ModAPI.LoadSprite("Thumb/72.png"),
        AfterSpawn = (Instance) => 
        {
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/forestmen/b2.png");
            
ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.threepieces = false;

                        armor.armorTier = 3;
                        armor.stabResistance = 3f;
                        armor.armorPiece = "UpperBody";
            Instance.FixColliders();
      }
   }
);   
ModAPI.Register(
new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Rod"),
        NameOverride = "PPGArmy Combat Radio Pack Sandoid", 
        DescriptionOverride = "Used by ingame army.", 
        CategoryOverride = ModAPI.FindCategory("PPGARMY"),
        ThumbnailOverride = ModAPI.LoadSprite("Thumb/91.png"),
        AfterSpawn = (Instance) => 
        {
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/sandoid/b2.png");
            
ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.threepieces = false;

                        armor.armorTier = 3;
                        armor.stabResistance = 3f;
                        armor.armorPiece = "UpperBody";
            Instance.FixColliders();
      }
   }
);   
ModAPI.Register(
new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Rod"),
        NameOverride = "PPGArmy Combat Backpack Sandoid", 
        DescriptionOverride = "Used by ingame army. It is smaller because of ya know.. desert", 
        CategoryOverride = ModAPI.FindCategory("PPGARMY"),
        ThumbnailOverride = ModAPI.LoadSprite("Thumb/88.png"),
        AfterSpawn = (Instance) => 
        {
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/sandoid/b1.png");
            
ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.threepieces = false;

                        armor.armorTier = 3;
                        armor.stabResistance = 3f;
                        armor.armorPiece = "UpperBody";
            Instance.FixColliders();
      }
   }
);   
ModAPI.Register(
new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Rod"),
        NameOverride = "PPGArmy Combat Radio Pack", 
        DescriptionOverride = "Used by ingame army.", 
        CategoryOverride = ModAPI.FindCategory("PPGARMY"),
        ThumbnailOverride = ModAPI.LoadSprite("Thumb/34.png"),
        AfterSpawn = (Instance) => 
        {
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/backpack2.png");
            
ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.threepieces = false;

                        armor.armorTier = 3;
                        armor.stabResistance = 3f;
                        armor.armorPiece = "UpperBody";
            Instance.FixColliders();
      }
   }
);   
//pestl
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("9mm Pistol"), //item to derive from
        NameOverride = "Combat Pistol", //new item name with a suffix to assure it is globally unique
        DescriptionOverride = "Pistol that is made by ingame army.", //new item description
        CategoryOverride = ModAPI.FindCategory("Firearms"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("Thumb/23.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            ModAPI.KeepExtraObjects();

            var ClassicRifleSlide = Instance.transform.Find("Slide");
            ClassicRifleSlide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/pistol_slide.png");

            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/pistol.png");
            foreach (var c in Instance.GetComponents<Collider2D>())
            {
                //getting the FirearmBehaviour for later manipulation
                var firearm = Instance.GetComponent<FirearmBehaviour>();

                //creating a custom cartridge for the gun
                Cartridge customCartridge = ModAPI.FindCartridge("9mm"); //load a copy of the 9mm cartridge
                customCartridge.name = "rifle ammo bro"; //set a name
                customCartridge.Damage *= 0.9f; //change the damage however you like
                customCartridge.StartSpeed *= 1.3f; //change the bullet velocity
                customCartridge.PenetrationRandomAngleMultiplier *= 2.1f; //change the accuracy when the bullet travels through an object
                customCartridge.Recoil *= 0.5f; //change the recoil
                customCartridge.ImpactForce *= 1.0f; //change how much the bullet pushes the target

                //set the cartridge to the FirearmBehaviour
                firearm.Cartridge = customCartridge;

                //set the new gun sounds. this is an array of AudioClips that is picked from at random when shot
                firearm.ShotSounds = new AudioClip[]
                {
                ModAPI.LoadSound("sfx/P1.wav"),
                ModAPI.LoadSound("sfx/P1.wav"),
                ModAPI.LoadSound("sfx/P1.wav"),
                };

                // set the collision box to the new sprite shape
                // this is the easiest way to fix your collision shape, but it also the slowest.
                Instance.FixColliders();
            }
        }
    }
);                            
//pestl
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Pistol"), //item to derive from
        NameOverride = "Vintage Pistol", //new item name with a suffix to assure it is globally unique
        DescriptionOverride = "This pistol was used by allied forces.", //new item description
        CategoryOverride = ModAPI.FindCategory("Firearms"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("Thumb/26.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            ModAPI.KeepExtraObjects();

            var ClassicRifleSlide = Instance.transform.Find("Slide");
            ClassicRifleSlide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/pistol2_slide.png");

            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/pistol2.png");
            foreach (var c in Instance.GetComponents<Collider2D>())
            {
                //getting the FirearmBehaviour for later manipulation
                var firearm = Instance.GetComponent<FirearmBehaviour>();

                //creating a custom cartridge for the gun
                Cartridge customCartridge = ModAPI.FindCartridge("9mm"); //load a copy of the 9mm cartridge
                customCartridge.name = "rifle ammo bro"; //set a name
                customCartridge.Damage *= 0.9f; //change the damage however you like
                customCartridge.StartSpeed *= 1.3f; //change the bullet velocity
                customCartridge.PenetrationRandomAngleMultiplier *= 2.1f; //change the accuracy when the bullet travels through an object
                customCartridge.Recoil *= 0.5f; //change the recoil
                customCartridge.ImpactForce *= 1.0f; //change how much the bullet pushes the target

                //set the cartridge to the FirearmBehaviour
                firearm.Cartridge = customCartridge;

                //set the new gun sounds. this is an array of AudioClips that is picked from at random when shot
                firearm.ShotSounds = new AudioClip[]
                {
                ModAPI.LoadSound("d.wav"),
                ModAPI.LoadSound("a.wav"),
                ModAPI.LoadSound("sd.wav"),
                };

                // set the collision box to the new sprite shape
                // this is the easiest way to fix your collision shape, but it also the slowest.
                Instance.FixColliders();
            }
        }
    }
);                     
//pestl
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Rifle"), //item to derive from
        NameOverride = "Battle Rifle", //new item name with a suffix to assure it is globally unique
        DescriptionOverride = "This rifle was used by allied forces.", //new item description
        CategoryOverride = ModAPI.FindCategory("Firearms"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("Thumb/22.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            ModAPI.KeepExtraObjects();

            var ClassicRifleSlide = Instance.transform.Find("Slide");


            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/rifle.png");
            foreach (var c in Instance.GetComponents<Collider2D>())
            {
                //getting the FirearmBehaviour for later manipulation
                var firearm = Instance.GetComponent<FirearmBehaviour>();

                //creating a custom cartridge for the gun
                Cartridge customCartridge = ModAPI.FindCartridge("9mm"); //load a copy of the 9mm cartridge
                customCartridge.name = "rifle ammo bro"; //set a name
                customCartridge.Damage *= 0.9f; //change the damage however you like
                customCartridge.StartSpeed *= 1.3f; //change the bullet velocity
                customCartridge.PenetrationRandomAngleMultiplier *= 2.1f; //change the accuracy when the bullet travels through an object
                customCartridge.Recoil *= 0.5f; //change the recoil
                customCartridge.ImpactForce *= 1.0f; //change how much the bullet pushes the target

                //set the cartridge to the FirearmBehaviour
                firearm.Cartridge = customCartridge;

                //set the new gun sounds. this is an array of AudioClips that is picked from at random when shot
                firearm.ShotSounds = new AudioClip[]
                {
                ModAPI.LoadSound("d.wav"),
                ModAPI.LoadSound("a.wav"),
                ModAPI.LoadSound("sd.wav"),
                };

                // set the collision box to the new sprite shape
                // this is the easiest way to fix your collision shape, but it also the slowest.
                Instance.FixColliders();
            }
        }
    }
);     
//pestl
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Rifle"), //item to derive from
        NameOverride = "Bolt Action Rifle", //new item name with a suffix to assure it is globally unique
        DescriptionOverride = "An old , vintage rifle. why i added it", //new item description
        CategoryOverride = ModAPI.FindCategory("Firearms"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("Thumb/38.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            ModAPI.KeepExtraObjects();

            var ClassicRifleSlide = Instance.transform.Find("Slide");


            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/rifle4.png");
            foreach (var c in Instance.GetComponents<Collider2D>())
            {
                //getting the FirearmBehaviour for later manipulation
                var firearm = Instance.GetComponent<FirearmBehaviour>();

                //creating a custom cartridge for the gun
                Cartridge customCartridge = ModAPI.FindCartridge("9mm"); //load a copy of the 9mm cartridge
                customCartridge.name = "rifle ammo bro"; //set a name
                customCartridge.Damage *= 0.9f; //change the damage however you like
                customCartridge.StartSpeed *= 1.3f; //change the bullet velocity
                customCartridge.PenetrationRandomAngleMultiplier *= 2.1f; //change the accuracy when the bullet travels through an object
                customCartridge.Recoil *= 0.5f; //change the recoil
                customCartridge.ImpactForce *= 1.0f; //change how much the bullet pushes the target

                //set the cartridge to the FirearmBehaviour
                firearm.Cartridge = customCartridge;

                //set the new gun sounds. this is an array of AudioClips that is picked from at random when shot
                firearm.ShotSounds = new AudioClip[]
                {
                ModAPI.LoadSound("d.wav"),
                ModAPI.LoadSound("a.wav"),
                ModAPI.LoadSound("sd.wav"),
                };

                // set the collision box to the new sprite shape
                // this is the easiest way to fix your collision shape, but it also the slowest.
                Instance.FixColliders();
            }
        }
    }
);                                
//pestl
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Rifle"), //item to derive from
        NameOverride = "Marksman Rifle", //new item name with a suffix to assure it is globally unique
        DescriptionOverride = "This rifle has an optic scope on it.", //new item description
        CategoryOverride = ModAPI.FindCategory("Firearms"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("Thumb/24.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            ModAPI.KeepExtraObjects();

            var ClassicRifleSlide = Instance.transform.Find("Slide");


            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/rifle2.png");
            foreach (var c in Instance.GetComponents<Collider2D>())
            {
                //getting the FirearmBehaviour for later manipulation
                var firearm = Instance.GetComponent<FirearmBehaviour>();

                //creating a custom cartridge for the gun
                Cartridge customCartridge = ModAPI.FindCartridge("9mm"); //load a copy of the 9mm cartridge
                customCartridge.name = "rifle ammo bro"; //set a name
                customCartridge.Damage *= 0.9f; //change the damage however you like
                customCartridge.StartSpeed *= 1.3f; //change the bullet velocity
                customCartridge.PenetrationRandomAngleMultiplier *= 2.1f; //change the accuracy when the bullet travels through an object
                customCartridge.Recoil *= 0.5f; //change the recoil
                customCartridge.ImpactForce *= 1.0f; //change how much the bullet pushes the target

                //set the cartridge to the FirearmBehaviour
                firearm.Cartridge = customCartridge;

                //set the new gun sounds. this is an array of AudioClips that is picked from at random when shot
                firearm.ShotSounds = new AudioClip[]
                {
                ModAPI.LoadSound("d.wav"),
                ModAPI.LoadSound("a.wav"),
                ModAPI.LoadSound("sd.wav"),
                };

                // set the collision box to the new sprite shape
                // this is the easiest way to fix your collision shape, but it also the slowest.
                Instance.FixColliders();
            }
        }
    }
);         
//pestl
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Rifle"), //item to derive from
        NameOverride = "Tactical Rifle", //new item name with a suffix to assure it is globally unique
        DescriptionOverride = "An tactical variation of the ingame rifle.", //new item description
        CategoryOverride = ModAPI.FindCategory("Firearms"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("Thumb/25.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            ModAPI.KeepExtraObjects();

            var ClassicRifleSlide = Instance.transform.Find("Slide");


            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/rifle3.png");
            foreach (var c in Instance.GetComponents<Collider2D>())
            {
                //getting the FirearmBehaviour for later manipulation
                var firearm = Instance.GetComponent<FirearmBehaviour>();

                //creating a custom cartridge for the gun
                Cartridge customCartridge = ModAPI.FindCartridge("9mm"); //load a copy of the 9mm cartridge
                customCartridge.name = "rifle ammo bro"; //set a name
                customCartridge.Damage *= 0.9f; //change the damage however you like
                customCartridge.StartSpeed *= 1.3f; //change the bullet velocity
                customCartridge.PenetrationRandomAngleMultiplier *= 2.1f; //change the accuracy when the bullet travels through an object
                customCartridge.Recoil *= 0.5f; //change the recoil
                customCartridge.ImpactForce *= 1.0f; //change how much the bullet pushes the target

                //set the cartridge to the FirearmBehaviour
                firearm.Cartridge = customCartridge;

                //set the new gun sounds. this is an array of AudioClips that is picked from at random when shot
                firearm.ShotSounds = new AudioClip[]
                {
                ModAPI.LoadSound("d.wav"),
                ModAPI.LoadSound("a.wav"),
                ModAPI.LoadSound("sd.wav"),
                };

                // set the collision box to the new sprite shape
                // this is the easiest way to fix your collision shape, but it also the slowest.
                Instance.FixColliders();
            }
        }
    }
);                                  
//pestl
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Assault Rifle"), //item to derive from
        NameOverride = "Vintage Assault Rifle", //new item name with a suffix to assure it is globally unique
        DescriptionOverride = "This rifle takes origins from Battle Rifle.", //new item description
        CategoryOverride = ModAPI.FindCategory("Firearms"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("Thumb/27.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            ModAPI.KeepExtraObjects();

            var ClassicRifleSlide = Instance.transform.Find("Slide");


            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/AR1.png");
            foreach (var c in Instance.GetComponents<Collider2D>())
            {
                //getting the FirearmBehaviour for later manipulation
                var firearm = Instance.GetComponent<FirearmBehaviour>();

                //creating a custom cartridge for the gun
                Cartridge customCartridge = ModAPI.FindCartridge("9mm"); //load a copy of the 9mm cartridge
                customCartridge.name = "rifle ammo bro"; //set a name
                customCartridge.Damage *= 0.9f; //change the damage however you like
                customCartridge.StartSpeed *= 1.3f; //change the bullet velocity
                customCartridge.PenetrationRandomAngleMultiplier *= 2.1f; //change the accuracy when the bullet travels through an object
                customCartridge.Recoil *= 0.5f; //change the recoil
                customCartridge.ImpactForce *= 1.0f; //change how much the bullet pushes the target

                //set the cartridge to the FirearmBehaviour
                firearm.Cartridge = customCartridge;

                //set the new gun sounds. this is an array of AudioClips that is picked from at random when shot
                firearm.ShotSounds = new AudioClip[]
                {
                ModAPI.LoadSound("sfx/AR1.wav"),
                ModAPI.LoadSound("sfx/AR2.wav"),
                ModAPI.LoadSound("sfx/AR3.wav"),
                };

                // set the collision box to the new sprite shape
                // this is the easiest way to fix your collision shape, but it also the slowest.
                Instance.FixColliders();
            }
        }
    }
);        
//pestl
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Assault Rifle"), //item to derive from
        NameOverride = "Gulf War AR", //new item name with a suffix to assure it is globally unique
        DescriptionOverride = "What's the difference? i dont know", //new item description
        CategoryOverride = ModAPI.FindCategory("Firearms"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("Thumb/27.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            ModAPI.KeepExtraObjects();

            var ClassicRifleSlide = Instance.transform.Find("Slide");


            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/ARV4.png");
            foreach (var c in Instance.GetComponents<Collider2D>())
            {
                //getting the FirearmBehaviour for later manipulation
                var firearm = Instance.GetComponent<FirearmBehaviour>();

                //creating a custom cartridge for the gun
                Cartridge customCartridge = ModAPI.FindCartridge("9mm"); //load a copy of the 9mm cartridge
                customCartridge.name = "rifle ammo bro"; //set a name
                customCartridge.Damage *= 0.9f; //change the damage however you like
                customCartridge.StartSpeed *= 1.3f; //change the bullet velocity
                customCartridge.PenetrationRandomAngleMultiplier *= 2.1f; //change the accuracy when the bullet travels through an object
                customCartridge.Recoil *= 0.5f; //change the recoil
                customCartridge.ImpactForce *= 1.0f; //change how much the bullet pushes the target

                //set the cartridge to the FirearmBehaviour
                firearm.Cartridge = customCartridge;

                //set the new gun sounds. this is an array of AudioClips that is picked from at random when shot
                firearm.ShotSounds = new AudioClip[]
                {
                ModAPI.LoadSound("sfx/AR1.wav"),
                ModAPI.LoadSound("sfx/AR2.wav"),
                ModAPI.LoadSound("sfx/AR3.wav"),
                };

                // set the collision box to the new sprite shape
                // this is the easiest way to fix your collision shape, but it also the slowest.
                Instance.FixColliders();
            }
        }
    }
);              
//pestl
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Assault Rifle"), //item to derive from
        NameOverride = "Tactical Assault Rifle", //new item name with a suffix to assure it is globally unique
        DescriptionOverride = "Modified version of the AR", //new item description
        CategoryOverride = ModAPI.FindCategory("Firearms"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("Thumb/50.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            ModAPI.KeepExtraObjects();

            var ClassicRifleSlide = Instance.transform.Find("Slide");


            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/ARV2.png");
            foreach (var c in Instance.GetComponents<Collider2D>())
            {
                //getting the FirearmBehaviour for later manipulation
                var firearm = Instance.GetComponent<FirearmBehaviour>();

                //creating a custom cartridge for the gun
                Cartridge customCartridge = ModAPI.FindCartridge("9mm"); //load a copy of the 9mm cartridge
                customCartridge.name = "rifle ammo bro"; //set a name
                customCartridge.Damage *= 0.9f; //change the damage however you like
                customCartridge.StartSpeed *= 1.3f; //change the bullet velocity
                customCartridge.PenetrationRandomAngleMultiplier *= 2.1f; //change the accuracy when the bullet travels through an object
                customCartridge.Recoil *= 0.5f; //change the recoil
                customCartridge.ImpactForce *= 1.0f; //change how much the bullet pushes the target

                //set the cartridge to the FirearmBehaviour
                firearm.Cartridge = customCartridge;

                //set the new gun sounds. this is an array of AudioClips that is picked from at random when shot
                firearm.ShotSounds = new AudioClip[]
                {
                ModAPI.LoadSound("d.wav"),
                ModAPI.LoadSound("a.wav"),
                ModAPI.LoadSound("sd.wav"),
                };

                // set the collision box to the new sprite shape
                // this is the easiest way to fix your collision shape, but it also the slowest.
                Instance.FixColliders();
            }
        }
    }
);  
//pestl
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Assault Rifle"), //item to derive from
        NameOverride = "PATHOS-A TMAR (Tactical Modded Assault Rifle)", //new item name with a suffix to assure it is globally unique
        DescriptionOverride = "Only a few of army units (pmcs doesnt count) use these!", //new item description
        CategoryOverride = ModAPI.FindCategory("Firearms"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("Thumb/104.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            ModAPI.KeepExtraObjects();

            var ClassicRifleSlide = Instance.transform.Find("Slide");


            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/ARV2T.png");
            foreach (var c in Instance.GetComponents<Collider2D>())
            {
                //getting the FirearmBehaviour for later manipulation
                var firearm = Instance.GetComponent<FirearmBehaviour>();

                //creating a custom cartridge for the gun
                Cartridge customCartridge = ModAPI.FindCartridge("9mm"); //load a copy of the 9mm cartridge
                customCartridge.name = "rifle ammo bro"; //set a name
                customCartridge.Damage *= 0.9f; //change the damage however you like
                customCartridge.StartSpeed *= 1.3f; //change the bullet velocity
                customCartridge.PenetrationRandomAngleMultiplier *= 2.1f; //change the accuracy when the bullet travels through an object
                customCartridge.Recoil *= 0.5f; //change the recoil
                customCartridge.ImpactForce *= 1.0f; //change how much the bullet pushes the target

                //set the cartridge to the FirearmBehaviour
                firearm.Cartridge = customCartridge;

                //set the new gun sounds. this is an array of AudioClips that is picked from at random when shot
                firearm.ShotSounds = new AudioClip[]
                {
                ModAPI.LoadSound("d.wav"),
                ModAPI.LoadSound("a.wav"),
                ModAPI.LoadSound("sd.wav"),
                };

                // set the collision box to the new sprite shape
                // this is the easiest way to fix your collision shape, but it also the slowest.
                Instance.FixColliders();
            }
        }
    }
);  
//pestl
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Assault Rifle"), //item to derive from
        NameOverride = "Advanced Combat Rifle", //new item name with a suffix to assure it is globally unique
        DescriptionOverride = "Remington-related.", //new item description
        CategoryOverride = ModAPI.FindCategory("Firearms"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("Thumb/102.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            ModAPI.KeepExtraObjects();

            var ClassicRifleSlide = Instance.transform.Find("Slide");


            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/ARV5.png");
            foreach (var c in Instance.GetComponents<Collider2D>())
            {
                //getting the FirearmBehaviour for later manipulation
                var firearm = Instance.GetComponent<FirearmBehaviour>();

                //creating a custom cartridge for the gun
                Cartridge customCartridge = ModAPI.FindCartridge("9mm"); //load a copy of the 9mm cartridge
                customCartridge.name = "rifle ammo bro"; //set a name
                customCartridge.Damage *= 0.9f; //change the damage however you like
                customCartridge.StartSpeed *= 1.3f; //change the bullet velocity
                customCartridge.PenetrationRandomAngleMultiplier *= 2.1f; //change the accuracy when the bullet travels through an object
                customCartridge.Recoil *= 0.5f; //change the recoil
                customCartridge.ImpactForce *= 1.0f; //change how much the bullet pushes the target

                //set the cartridge to the FirearmBehaviour
                firearm.Cartridge = customCartridge;

                //set the new gun sounds. this is an array of AudioClips that is picked from at random when shot
                firearm.ShotSounds = new AudioClip[]
                {
                ModAPI.LoadSound("d.wav"),
                ModAPI.LoadSound("a.wav"),
                ModAPI.LoadSound("sd.wav"),
                };

                // set the collision box to the new sprite shape
                // this is the easiest way to fix your collision shape, but it also the slowest.
                Instance.FixColliders();
            }
        }
    }
);  
//pestl
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Assault Rifle"), //item to derive from
        NameOverride = "Advanced Combat Rifle Modified", //new item name with a suffix to assure it is globally unique
        DescriptionOverride = "Remington-related.", //new item description
        CategoryOverride = ModAPI.FindCategory("Firearms"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("Thumb/103.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            ModAPI.KeepExtraObjects();

            var ClassicRifleSlide = Instance.transform.Find("Slide");


            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/ARV5T.png");
            foreach (var c in Instance.GetComponents<Collider2D>())
            {
                //getting the FirearmBehaviour for later manipulation
                var firearm = Instance.GetComponent<FirearmBehaviour>();

                //creating a custom cartridge for the gun
                Cartridge customCartridge = ModAPI.FindCartridge("9mm"); //load a copy of the 9mm cartridge
                customCartridge.name = "rifle ammo bro"; //set a name
                customCartridge.Damage *= 0.9f; //change the damage however you like
                customCartridge.StartSpeed *= 1.3f; //change the bullet velocity
                customCartridge.PenetrationRandomAngleMultiplier *= 2.1f; //change the accuracy when the bullet travels through an object
                customCartridge.Recoil *= 0.5f; //change the recoil
                customCartridge.ImpactForce *= 1.0f; //change how much the bullet pushes the target

                //set the cartridge to the FirearmBehaviour
                firearm.Cartridge = customCartridge;

                //set the new gun sounds. this is an array of AudioClips that is picked from at random when shot
                firearm.ShotSounds = new AudioClip[]
                {
                ModAPI.LoadSound("d.wav"),
                ModAPI.LoadSound("a.wav"),
                ModAPI.LoadSound("sd.wav"),
                };

                // set the collision box to the new sprite shape
                // this is the easiest way to fix your collision shape, but it also the slowest.
                Instance.FixColliders();
            }
        }
    }
);  
//pestl
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Assault Rifle"), //item to derive from
        NameOverride = "Advanced Rifle", //new item name with a suffix to assure it is globally unique
        DescriptionOverride = "An Bofors- looking like rifle", //new item description
        CategoryOverride = ModAPI.FindCategory("Firearms"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("Thumb/53.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            ModAPI.KeepExtraObjects();

            var ClassicRifleSlide = Instance.transform.Find("Slide");


            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/AR10.png");
            foreach (var c in Instance.GetComponents<Collider2D>())
            {
                //getting the FirearmBehaviour for later manipulation
                var firearm = Instance.GetComponent<FirearmBehaviour>();

                //creating a custom cartridge for the gun
                Cartridge customCartridge = ModAPI.FindCartridge("9mm"); //load a copy of the 9mm cartridge
                customCartridge.name = "rifle ammo bro"; //set a name
                customCartridge.Damage *= 0.9f; //change the damage however you like
                customCartridge.StartSpeed *= 1.3f; //change the bullet velocity
                customCartridge.PenetrationRandomAngleMultiplier *= 2.1f; //change the accuracy when the bullet travels through an object
                customCartridge.Recoil *= 0.5f; //change the recoil
                customCartridge.ImpactForce *= 1.0f; //change how much the bullet pushes the target

                //set the cartridge to the FirearmBehaviour
                firearm.Cartridge = customCartridge;

                //set the new gun sounds. this is an array of AudioClips that is picked from at random when shot
                firearm.ShotSounds = new AudioClip[]
                {
                ModAPI.LoadSound("d.wav"),
                ModAPI.LoadSound("a.wav"),
                ModAPI.LoadSound("sd.wav"),
                };

                // set the collision box to the new sprite shape
                // this is the easiest way to fix your collision shape, but it also the slowest.
                Instance.FixColliders();
            }
        }
    }
);  
//pestl
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Assault Rifle"), //item to derive from
        NameOverride = "Assault Rifle V1", //new item name with a suffix to assure it is globally unique
        DescriptionOverride = "idk.", //new item description
        CategoryOverride = ModAPI.FindCategory("Firearms"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("Thumb/51.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            ModAPI.KeepExtraObjects();

            var ClassicRifleSlide = Instance.transform.Find("Slide");


            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/ARV1.png");
            foreach (var c in Instance.GetComponents<Collider2D>())
            {
                //getting the FirearmBehaviour for later manipulation
                var firearm = Instance.GetComponent<FirearmBehaviour>();

                //creating a custom cartridge for the gun
                Cartridge customCartridge = ModAPI.FindCartridge("9mm"); //load a copy of the 9mm cartridge
                customCartridge.name = "rifle ammo bro"; //set a name
                customCartridge.Damage *= 0.9f; //change the damage however you like
                customCartridge.StartSpeed *= 1.3f; //change the bullet velocity
                customCartridge.PenetrationRandomAngleMultiplier *= 2.1f; //change the accuracy when the bullet travels through an object
                customCartridge.Recoil *= 0.5f; //change the recoil
                customCartridge.ImpactForce *= 1.0f; //change how much the bullet pushes the target

                //set the cartridge to the FirearmBehaviour
                firearm.Cartridge = customCartridge;

                //set the new gun sounds. this is an array of AudioClips that is picked from at random when shot
                firearm.ShotSounds = new AudioClip[]
                {
                ModAPI.LoadSound("d.wav"),
                ModAPI.LoadSound("a.wav"),
                ModAPI.LoadSound("sd.wav"),
                };

                // set the collision box to the new sprite shape
                // this is the easiest way to fix your collision shape, but it also the slowest.
                Instance.FixColliders();
            }
        }
    }
);                          
//pestl
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Assault Rifle"), //item to derive from
        NameOverride = "Vintage Assault Rifle (15 rnd)", //new item name with a suffix to assure it is globally unique
        DescriptionOverride = "This rifle takes origins from Battle Rifle. 15 rounds , 15 chances.", //new item description
        CategoryOverride = ModAPI.FindCategory("Firearms"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("Thumb/49.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            ModAPI.KeepExtraObjects();

            var ClassicRifleSlide = Instance.transform.Find("Slide");


            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/AR1V.png");
            foreach (var c in Instance.GetComponents<Collider2D>())
            {
                //getting the FirearmBehaviour for later manipulation
                var firearm = Instance.GetComponent<FirearmBehaviour>();

                //creating a custom cartridge for the gun
                Cartridge customCartridge = ModAPI.FindCartridge("9mm"); //load a copy of the 9mm cartridge
                customCartridge.name = "rifle ammo bro"; //set a name
                customCartridge.Damage *= 0.9f; //change the damage however you like
                customCartridge.StartSpeed *= 1.3f; //change the bullet velocity
                customCartridge.PenetrationRandomAngleMultiplier *= 2.1f; //change the accuracy when the bullet travels through an object
                customCartridge.Recoil *= 0.5f; //change the recoil
                customCartridge.ImpactForce *= 1.0f; //change how much the bullet pushes the target

                //set the cartridge to the FirearmBehaviour
                firearm.Cartridge = customCartridge;

                //set the new gun sounds. this is an array of AudioClips that is picked from at random when shot
                firearm.ShotSounds = new AudioClip[]
                {
                ModAPI.LoadSound("sfx/AR1.wav"),
                ModAPI.LoadSound("sfx/AR2.wav"),
                ModAPI.LoadSound("sfx/AR3.wav"),
                };

                // set the collision box to the new sprite shape
                // this is the easiest way to fix your collision shape, but it also the slowest.
                Instance.FixColliders();
            }
        }
    }
);             
//pestl
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Assault Rifle"), //item to derive from
        NameOverride = "Vintage Assault Rifle (Grenadier Variant)", //new item name with a suffix to assure it is globally unique
        DescriptionOverride = "This rifle takes origins from Battle Rifle. Grenadier.", //new item description
        CategoryOverride = ModAPI.FindCategory("Firearms"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("Thumb/48.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            ModAPI.KeepExtraObjects();

            var ClassicRifleSlide = Instance.transform.Find("Slide");


            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/ARV3.png");
            foreach (var c in Instance.GetComponents<Collider2D>())
            {
                //getting the FirearmBehaviour for later manipulation
                var firearm = Instance.GetComponent<FirearmBehaviour>();

                //creating a custom cartridge for the gun
                Cartridge customCartridge = ModAPI.FindCartridge("9mm"); //load a copy of the 9mm cartridge
                customCartridge.name = "rifle ammo bro"; //set a name
                customCartridge.Damage *= 0.9f; //change the damage however you like
                customCartridge.StartSpeed *= 1.3f; //change the bullet velocity
                customCartridge.PenetrationRandomAngleMultiplier *= 2.1f; //change the accuracy when the bullet travels through an object
                customCartridge.Recoil *= 0.5f; //change the recoil
                customCartridge.ImpactForce *= 1.0f; //change how much the bullet pushes the target

                //set the cartridge to the FirearmBehaviour
                firearm.Cartridge = customCartridge;

                //set the new gun sounds. this is an array of AudioClips that is picked from at random when shot
                firearm.ShotSounds = new AudioClip[]
                {
                ModAPI.LoadSound("sfx/AR1.wav"),
                ModAPI.LoadSound("sfx/AR2.wav"),
                ModAPI.LoadSound("sfx/AR3.wav"),
                };

                // set the collision box to the new sprite shape
                // this is the easiest way to fix your collision shape, but it also the slowest.
                Instance.FixColliders();
            }
        }
    }
);              
//pestl
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Assault Rifle"), //item to derive from
        NameOverride = "Battle Carbine", //new item name with a suffix to assure it is globally unique
        DescriptionOverride = "Much advanced rifle.", //new item description
        CategoryOverride = ModAPI.FindCategory("Firearms"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("Thumb/21.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            ModAPI.KeepExtraObjects();

            var ClassicRifleSlide = Instance.transform.Find("Slide");


            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/AR7.png");
            foreach (var c in Instance.GetComponents<Collider2D>())
            {
                //getting the FirearmBehaviour for later manipulation
                var firearm = Instance.GetComponent<FirearmBehaviour>();

                //creating a custom cartridge for the gun
                Cartridge customCartridge = ModAPI.FindCartridge("9mm"); //load a copy of the 9mm cartridge
                customCartridge.name = "rifle ammo bro"; //set a name
                customCartridge.Damage *= 0.9f; //change the damage however you like
                customCartridge.StartSpeed *= 1.3f; //change the bullet velocity
                customCartridge.PenetrationRandomAngleMultiplier *= 2.1f; //change the accuracy when the bullet travels through an object
                customCartridge.Recoil *= 0.5f; //change the recoil
                customCartridge.ImpactForce *= 1.0f; //change how much the bullet pushes the target

                //set the cartridge to the FirearmBehaviour
                firearm.Cartridge = customCartridge;

                //set the new gun sounds. this is an array of AudioClips that is picked from at random when shot
                firearm.ShotSounds = new AudioClip[]
                {
                ModAPI.LoadSound("sfx/NEWAR.wav"),
                ModAPI.LoadSound("sfx/NEWAR.wav"),
                ModAPI.LoadSound("sfx/NEWAR.wav"),
                };

                // set the collision box to the new sprite shape
                // this is the easiest way to fix your collision shape, but it also the slowest.
                Instance.FixColliders();
            }
        }
    }
);               
//pestl
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Assault Rifle"), //item to derive from
        NameOverride = "Small Carbine", //new item name with a suffix to assure it is globally unique
        DescriptionOverride = "Much advanced rifle.", //new item description
        CategoryOverride = ModAPI.FindCategory("Firearms"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("Thumb/54.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            ModAPI.KeepExtraObjects();

            var ClassicRifleSlide = Instance.transform.Find("Slide");


            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/AR11.png");
            foreach (var c in Instance.GetComponents<Collider2D>())
            {
                //getting the FirearmBehaviour for later manipulation
                var firearm = Instance.GetComponent<FirearmBehaviour>();

                //creating a custom cartridge for the gun
                Cartridge customCartridge = ModAPI.FindCartridge("9mm"); //load a copy of the 9mm cartridge
                customCartridge.name = "rifle ammo bro"; //set a name
                customCartridge.Damage *= 0.9f; //change the damage however you like
                customCartridge.StartSpeed *= 1.3f; //change the bullet velocity
                customCartridge.PenetrationRandomAngleMultiplier *= 2.1f; //change the accuracy when the bullet travels through an object
                customCartridge.Recoil *= 0.5f; //change the recoil
                customCartridge.ImpactForce *= 1.0f; //change how much the bullet pushes the target

                //set the cartridge to the FirearmBehaviour
                firearm.Cartridge = customCartridge;

                //set the new gun sounds. this is an array of AudioClips that is picked from at random when shot
                firearm.ShotSounds = new AudioClip[]
                {
                ModAPI.LoadSound("sfx/NEWAR.wav"),
                ModAPI.LoadSound("sfx/NEWAR.wav"),
                ModAPI.LoadSound("sfx/NEWAR.wav"),
                };

                // set the collision box to the new sprite shape
                // this is the easiest way to fix your collision shape, but it also the slowest.
                Instance.FixColliders();
            }
        }
    }
);               
//pestl
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Soviet Submachine Gun"), //item to derive from
        NameOverride = "PDW", //new item name with a suffix to assure it is globally unique
        DescriptionOverride = "A hybrid of SMG and AR, can pack-a punch", //new item description
        CategoryOverride = ModAPI.FindCategory("Firearms"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("Thumb/61.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            ModAPI.KeepExtraObjects();



            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/PDW.png");
            foreach (var c in Instance.GetComponents<Collider2D>())
            {
                //getting the FirearmBehaviour for later manipulation
                var firearm = Instance.GetComponent<FirearmBehaviour>();

                //creating a custom cartridge for the gun
                Cartridge customCartridge = ModAPI.FindCartridge("9mm"); //load a copy of the 9mm cartridge
                customCartridge.name = "rifle ammo bro"; //set a name
                customCartridge.Damage *= 0.6f; //change the damage however you like
                customCartridge.StartSpeed *= 1.3f; //change the bullet velocity
                customCartridge.PenetrationRandomAngleMultiplier *= 2.1f; //change the accuracy when the bullet travels through an object
                customCartridge.Recoil *= 0.2f; //change the recoil
                customCartridge.ImpactForce *= 1.0f; //change how much the bullet pushes the target

                //set the cartridge to the FirearmBehaviour
                firearm.Cartridge = customCartridge;

                //set the new gun sounds. this is an array of AudioClips that is picked from at random when shot
                firearm.ShotSounds = new AudioClip[]
                {
                ModAPI.LoadSound("sfx/P1.wav"),
                ModAPI.LoadSound("sfx/P1.wav"),
                ModAPI.LoadSound("sfx/P1.wav"),
                };

                // set the collision box to the new sprite shape
                // this is the easiest way to fix your collision shape, but it also the slowest.
                Instance.FixColliders();
            }
        }
    }
);         
//pestl
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Light Machine Gun"), //item to derive from
        NameOverride = "Vintage LMG", //new item name with a suffix to assure it is globally unique
        DescriptionOverride = "Not from vietnam :(", //new item description
        CategoryOverride = ModAPI.FindCategory("Firearms"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("Thumb/55.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            ModAPI.KeepExtraObjects();


            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/LMG.png");
            foreach (var c in Instance.GetComponents<Collider2D>())
            {
                //getting the FirearmBehaviour for later manipulation
                var firearm = Instance.GetComponent<FirearmBehaviour>();

                //creating a custom cartridge for the gun
                Cartridge customCartridge = ModAPI.FindCartridge("9mm"); //load a copy of the 9mm cartridge
                customCartridge.name = "rifle ammo bro"; //set a name
                customCartridge.Damage *= 0.9f; //change the damage however you like
                customCartridge.StartSpeed *= 1.3f; //change the bullet velocity
                customCartridge.PenetrationRandomAngleMultiplier *= 2.1f; //change the accuracy when the bullet travels through an object
                customCartridge.Recoil *= 0.5f; //change the recoil
                customCartridge.ImpactForce *= 1.0f; //change how much the bullet pushes the target

                //set the cartridge to the FirearmBehaviour
                firearm.Cartridge = customCartridge;

                //set the new gun sounds. this is an array of AudioClips that is picked from at random when shot
                firearm.ShotSounds = new AudioClip[]
                {
                ModAPI.LoadSound("sfx/MG1.wav"),
                ModAPI.LoadSound("sfx/MG2.wav"),
                ModAPI.LoadSound("sfx/MG3.wav"),
                };

                // set the collision box to the new sprite shape
                // this is the easiest way to fix your collision shape, but it also the slowest.
                Instance.FixColliders();
            }
        }
    }
);               
//pestl
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Light Machine Gun"), //item to derive from
        NameOverride = "Light Machine gun with an mag", //new item name with a suffix to assure it is globally unique
        DescriptionOverride = "it has an green mag box", //new item description
        CategoryOverride = ModAPI.FindCategory("Firearms"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("Thumb/52.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            ModAPI.KeepExtraObjects();


            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/LMG2.png");
            foreach (var c in Instance.GetComponents<Collider2D>())
            {
                //getting the FirearmBehaviour for later manipulation
                var firearm = Instance.GetComponent<FirearmBehaviour>();

                //creating a custom cartridge for the gun
                Cartridge customCartridge = ModAPI.FindCartridge("9mm"); //load a copy of the 9mm cartridge
                customCartridge.name = "rifle ammo bro"; //set a name
                customCartridge.Damage *= 0.9f; //change the damage however you like
                customCartridge.StartSpeed *= 1.3f; //change the bullet velocity
                customCartridge.PenetrationRandomAngleMultiplier *= 2.1f; //change the accuracy when the bullet travels through an object
                customCartridge.Recoil *= 0.5f; //change the recoil
                customCartridge.ImpactForce *= 1.0f; //change how much the bullet pushes the target

                //set the cartridge to the FirearmBehaviour
                firearm.Cartridge = customCartridge;

                //set the new gun sounds. this is an array of AudioClips that is picked from at random when shot
                firearm.ShotSounds = new AudioClip[]
                {
                ModAPI.LoadSound("d.wav"),
                ModAPI.LoadSound("a.wav"),
                ModAPI.LoadSound("sd.wav"),
                };

                // set the collision box to the new sprite shape
                // this is the easiest way to fix your collision shape, but it also the slowest.
                Instance.FixColliders();
            }
        }
    }
);               
            //BAR
			ModAPI.Register(
				new Modification()
				{
                    OriginalItem = ModAPI.FindSpawnable("Assault Rifle"),
                    NameOverride = "Battle Assault Rifle",
                    DescriptionOverride = "This one is more good lookin'!",
                    NameToOrderByOverride = "A1",
                    CategoryOverride = ModAPI.FindCategory("Firearms"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumb/8.png"),
                    AfterSpawn = (Instance) =>
                    {
                        ModAPI.KeepExtraObjects();

                        var M4A1Slide = Instance.transform.Find("Slide");

                       Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Colliders/AR6.png", 10f);
                        foreach (var c in Instance.GetComponents<Collider2D>())
                        {
                            GameObject.Destroy(c);
						}
                        Instance.FixColliders();   

                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/AR6.png");
                        Instance.GetComponent<FirearmBehaviour>().BulletsPerShot = 1;
//                      Instance.GetComponent<FirearmBehavior>().casingPosition = new Vector2(x, y)

                        var firearm = Instance.GetComponent<FirearmBehaviour>();

                        firearm.ShotSounds = new AudioClip[]
            {
                ModAPI.LoadSound("poop.wav"),
            };

                        Cartridge customCartridge = ModAPI.FindCartridge("9mm");
                        customCartridge.name = "gun ammo wow";
                        customCartridge.Damage = 11f;
                        customCartridge.Recoil = 1f;
                        customCartridge.ImpactForce = 0.7f;
                        firearm.Cartridge = customCartridge;  
            
        }
    }
);             
            //BAR
			ModAPI.Register(
				new Modification()
				{
                    OriginalItem = ModAPI.FindSpawnable("Assault Rifle"),
                    NameOverride = "Automatic Rifle",
                    DescriptionOverride = "This takes origins from B.A.R (Battle Assault Rifle)",
                    NameToOrderByOverride = "A1",
                    CategoryOverride = ModAPI.FindCategory("Firearms"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumb/47.png"),
                    AfterSpawn = (Instance) =>
                    {
                        ModAPI.KeepExtraObjects();

                        var M4A1Slide = Instance.transform.Find("Slide");

                       Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Colliders/AR6.png", 10f);
                        foreach (var c in Instance.GetComponents<Collider2D>())
                        {
                            GameObject.Destroy(c);
						}
                        Instance.FixColliders();   

                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/AR9.png");
                        Instance.GetComponent<FirearmBehaviour>().BulletsPerShot = 1;
//                      Instance.GetComponent<FirearmBehavior>().casingPosition = new Vector2(x, y)

                        var firearm = Instance.GetComponent<FirearmBehaviour>();

                        firearm.ShotSounds = new AudioClip[]
            {
                ModAPI.LoadSound("poop.wav"),
            };

                        Cartridge customCartridge = ModAPI.FindCartridge("9mm");
                        customCartridge.name = "gun ammo wow";
                        customCartridge.Damage = 11f;
                        customCartridge.Recoil = 1f;
                        customCartridge.ImpactForce = 0.7f;
                        firearm.Cartridge = customCartridge;  
            
        }
    }
);             
            //BAR
			ModAPI.Register(
				new Modification()
				{
                    OriginalItem = ModAPI.FindSpawnable("AK-47"),
                    NameOverride = "Assault Carbine",
                    DescriptionOverride = "Takes origins from AK-47",
                    NameToOrderByOverride = "A1",
                    CategoryOverride = ModAPI.FindCategory("Firearms"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumb/9.png"),
                    AfterSpawn = (Instance) =>
                    {
                        ModAPI.KeepExtraObjects();

                        var M4A1Slide = Instance.transform.Find("Slide");

                       Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Colliders/AR8.png", 10f);
                        foreach (var c in Instance.GetComponents<Collider2D>())
                        {
                            GameObject.Destroy(c);
						}
                        Instance.FixColliders();   

                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/AR8.png");
                        Instance.GetComponent<FirearmBehaviour>().BulletsPerShot = 1;
//                      Instance.GetComponent<FirearmBehavior>().casingPosition = new Vector2(x, y)

                        var firearm = Instance.GetComponent<FirearmBehaviour>();

                        firearm.ShotSounds = new AudioClip[]
            {
                ModAPI.LoadSound("poop.wav"),
            };

                        Cartridge customCartridge = ModAPI.FindCartridge("9mm");
                        customCartridge.name = "gun ammo wow";
                        customCartridge.Damage = 11f;
                        customCartridge.Recoil = 1f;
                        customCartridge.ImpactForce = 0.7f;
                        firearm.Cartridge = customCartridge;  
            
        }
    }
);                
            //BAR
			ModAPI.Register(
				new Modification()
				{
                    OriginalItem = ModAPI.FindSpawnable("Grenade Launcher"),
                    NameOverride = "Assault Rifle Grenadier Attachement",
                    DescriptionOverride = "Launches Grenades",
                    NameToOrderByOverride = "A1",
                    CategoryOverride = ModAPI.FindCategory("Firearms"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumb/46.png"),
                    AfterSpawn = (Instance) =>
                    {
                        ModAPI.KeepExtraObjects();


                       Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Colliders/GL.png", 10f);
                        foreach (var c in Instance.GetComponents<Collider2D>())
                        {
                            GameObject.Destroy(c);
						}
                        Instance.FixColliders();   

                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/GL.png");
                        Instance.GetComponent<FirearmBehaviour>().BulletsPerShot = 1;
//                      Instance.GetComponent<FirearmBehavior>().casingPosition = new Vector2(x, y)

                        var firearm = Instance.GetComponent<FirearmBehaviour>();

                        firearm.ShotSounds = new AudioClip[]
            {
                ModAPI.LoadSound("poop.wav"),
            };

                        Cartridge customCartridge = ModAPI.FindCartridge("9mm");
                        customCartridge.name = "gun ammo wow";
                        customCartridge.Damage = 11f;
                        customCartridge.Recoil = 1f;
                        customCartridge.ImpactForce = 0.7f;
                        firearm.Cartridge = customCartridge;  
            
        }
    }
);                  
            //CAP
			ModAPI.Register(
				new Modification()
				{
                    OriginalItem = ModAPI.FindSpawnable("Assault Rifle"),
                    NameOverride = "Compact Assault Rifle",
                    DescriptionOverride = "This one is short.",
                    NameToOrderByOverride = "A1",
                    CategoryOverride = ModAPI.FindCategory("Firearms"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumb/10.png"),
                    AfterSpawn = (Instance) =>
                    {
                        ModAPI.KeepExtraObjects();

                        var M4A1Slide = Instance.transform.Find("Slide");

                       Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Colliders/AR2.png", 10f);
                        foreach (var c in Instance.GetComponents<Collider2D>())
                        {
                            GameObject.Destroy(c);
						}
                        Instance.FixColliders();   

                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/AR2.png");
                        Instance.GetComponent<FirearmBehaviour>().BulletsPerShot = 1;
//                      Instance.GetComponent<FirearmBehavior>().casingPosition = new Vector2(x, y)

                        var firearm = Instance.GetComponent<FirearmBehaviour>();

                        firearm.ShotSounds = new AudioClip[]
            {
                ModAPI.LoadSound("poop.wav"),
            };

                        Cartridge customCartridge = ModAPI.FindCartridge("9mm");
                        customCartridge.name = "gun ammo wow";
                        customCartridge.Damage = 11f;
                        customCartridge.Recoil = 1f;
                        customCartridge.ImpactForce = 0.7f;
                        firearm.Cartridge = customCartridge;  
            
        }
    }
);                
            //AK47PE
			ModAPI.Register(
				new Modification()
				{
                    OriginalItem = ModAPI.FindSpawnable("AK-47"),
                    NameOverride = "AK-47 Polymer Edition",
                    DescriptionOverride = "The modded version of AK-47 that is used by ingame army.",
                    NameToOrderByOverride = "A1",
                    CategoryOverride = ModAPI.FindCategory("Firearms"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumb/11.png"),
                    AfterSpawn = (Instance) =>
                    {
                        ModAPI.KeepExtraObjects();

                        var M4A1Slide = Instance.transform.Find("Slide");

                       Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Colliders/AR3.png", 10f);
                        foreach (var c in Instance.GetComponents<Collider2D>())
                        {
                            GameObject.Destroy(c);
						}
                        Instance.FixColliders();   

                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/AR3.png");
                        Instance.GetComponent<FirearmBehaviour>().BulletsPerShot = 1;
//                      Instance.GetComponent<FirearmBehavior>().casingPosition = new Vector2(x, y)

                        var firearm = Instance.GetComponent<FirearmBehaviour>();

                        firearm.ShotSounds = new AudioClip[]
            {
                ModAPI.LoadSound("poop.wav"),
            };

                        Cartridge customCartridge = ModAPI.FindCartridge("9mm");
                        customCartridge.name = "gun ammo wow";
                        customCartridge.Damage = 11f;
                        customCartridge.Recoil = 1f;
                        customCartridge.ImpactForce = 0.7f;
                        firearm.Cartridge = customCartridge;  
            
        }
    }
);                   
            //AK47PE
			ModAPI.Register(
				new Modification()
				{
                    OriginalItem = ModAPI.FindSpawnable("AK-47"),
                    NameOverride = "AK-47 Polished Edition",
                    DescriptionOverride = "The more normal looking ak!.",
                    NameToOrderByOverride = "A1",
                    CategoryOverride = ModAPI.FindCategory("Firearms"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumb/12.png"),
                    AfterSpawn = (Instance) =>
                    {
                        ModAPI.KeepExtraObjects();

                        var M4A1Slide = Instance.transform.Find("Slide");

                       Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Colliders/AR5.png", 10f);
                        foreach (var c in Instance.GetComponents<Collider2D>())
                        {
                            GameObject.Destroy(c);
						}
                        Instance.FixColliders();   

                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/AR5.png");
                        Instance.GetComponent<FirearmBehaviour>().BulletsPerShot = 1;
//                      Instance.GetComponent<FirearmBehavior>().casingPosition = new Vector2(x, y)

                        var firearm = Instance.GetComponent<FirearmBehaviour>();

                        firearm.ShotSounds = new AudioClip[]
            {
                ModAPI.LoadSound("poop.wav"),
            };

                        Cartridge customCartridge = ModAPI.FindCartridge("9mm");
                        customCartridge.name = "gun ammo wow";
                        customCartridge.Damage = 11f;
                        customCartridge.Recoil = 1f;
                        customCartridge.ImpactForce = 0.7f;
                        firearm.Cartridge = customCartridge;  
            
        }
    }
);                      
            //AK47S
			ModAPI.Register(
				new Modification()
				{
                    OriginalItem = ModAPI.FindSpawnable("AK-47"),
                    NameOverride = "AK-47 Shortened",
                    DescriptionOverride = "Shortened version of AK-47",
                    NameToOrderByOverride = "A1",
                    CategoryOverride = ModAPI.FindCategory("Firearms"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumb/13.png"),
                    AfterSpawn = (Instance) =>
                    {
                        ModAPI.KeepExtraObjects();

                        var M4A1Slide = Instance.transform.Find("Slide");

                       Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Colliders/AR4.png", 10f);
                        foreach (var c in Instance.GetComponents<Collider2D>())
                        {
                            GameObject.Destroy(c);
						}
                        Instance.FixColliders();   

                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/AR4.png");
                        Instance.GetComponent<FirearmBehaviour>().BulletsPerShot = 1;
//                      Instance.GetComponent<FirearmBehavior>().casingPosition = new Vector2(x, y)

                        var firearm = Instance.GetComponent<FirearmBehaviour>();

                        firearm.ShotSounds = new AudioClip[]
            {
                ModAPI.LoadSound("poop.wav"),
            };

                        Cartridge customCartridge = ModAPI.FindCartridge("9mm");
                        customCartridge.name = "gun ammo wow";
                        customCartridge.Damage = 11f;
                        customCartridge.Recoil = 1f;
                        customCartridge.ImpactForce = 0.7f;
                        firearm.Cartridge = customCartridge;  
            
        }
    }
);             
            //CSG
			ModAPI.Register(
				new Modification()
				{
                    OriginalItem = ModAPI.FindSpawnable("Submachine Gun"),
                    NameOverride = "Compact Submachine Gun",
                    DescriptionOverride = "The modded version of SMG that is used by ingame army.",
                    NameToOrderByOverride = "A1",
                    CategoryOverride = ModAPI.FindCategory("Firearms"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumb/14.png"),
                    AfterSpawn = (Instance) =>
                    {
                        ModAPI.KeepExtraObjects();

                        var M4A1Slide = Instance.transform.Find("Slide");

                       Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Colliders/SMG1.png", 10f);
                        foreach (var c in Instance.GetComponents<Collider2D>())
                        {
                            GameObject.Destroy(c);
						}
                        Instance.FixColliders();   

                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/SMG1.png");
                        Instance.GetComponent<FirearmBehaviour>().BulletsPerShot = 1;
//                      Instance.GetComponent<FirearmBehavior>().casingPosition = new Vector2(x, y)

                        var firearm = Instance.GetComponent<FirearmBehaviour>();

                        firearm.ShotSounds = new AudioClip[]
            {
                ModAPI.LoadSound("poop.wav"),
            };

                        Cartridge customCartridge = ModAPI.FindCartridge("9mm");
                        customCartridge.name = "gun ammo wow";
                        customCartridge.Damage = 11f;
                        customCartridge.Recoil = 1f;
                        customCartridge.ImpactForce = 0.7f;
                        firearm.Cartridge = customCartridge;  
            
        }
    }
);                          
            //FSSG
			ModAPI.Register(
				new Modification()
				{
                    OriginalItem = ModAPI.FindSpawnable("Submachine Gun"),
                    NameOverride = "Full Stock Submachine Gun",
                    DescriptionOverride = "The modded version of SMG that is used by ingame army.",
                    NameToOrderByOverride = "A1",
                    CategoryOverride = ModAPI.FindCategory("Firearms"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumb/15.png"),
                    AfterSpawn = (Instance) =>
                    {
                        ModAPI.KeepExtraObjects();

                        var M4A1Slide = Instance.transform.Find("Slide");

                       Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Colliders/SMG2.png", 10f);
                        foreach (var c in Instance.GetComponents<Collider2D>())
                        {
                            GameObject.Destroy(c);
						}
                        Instance.FixColliders();   

                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/SMG2.png");
                        Instance.GetComponent<FirearmBehaviour>().BulletsPerShot = 1;
//                      Instance.GetComponent<FirearmBehavior>().casingPosition = new Vector2(x, y)

                        var firearm = Instance.GetComponent<FirearmBehaviour>();

                        firearm.ShotSounds = new AudioClip[]
            {
                ModAPI.LoadSound("poop.wav"),
            };

                        Cartridge customCartridge = ModAPI.FindCartridge("9mm");
                        customCartridge.name = "gun ammo wow";
                        customCartridge.Damage = 11f;
                        customCartridge.Recoil = 1f;
                        customCartridge.ImpactForce = 0.7f;
                        firearm.Cartridge = customCartridge;  
            
        }
    }
);               
            //AK47S
			ModAPI.Register(
				new Modification()
				{
                    OriginalItem = ModAPI.FindSpawnable("Shotgun"),
                    NameOverride = "Combat Shotgun",
                    DescriptionOverride = "Shotgun that is used in battles.",
                    NameToOrderByOverride = "A1",
                    CategoryOverride = ModAPI.FindCategory("Firearms"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumb/16.png"),
                    AfterSpawn = (Instance) =>
                    {
                        ModAPI.KeepExtraObjects();

                        var M4A1Slide = Instance.transform.Find("Slide");

                       Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Colliders/sh1.png", 10f);
                        foreach (var c in Instance.GetComponents<Collider2D>())
                        {
                            GameObject.Destroy(c);
						}
                        Instance.FixColliders();   

                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/sh1.png");
                        Instance.GetComponent<FirearmBehaviour>().BulletsPerShot = 6;
//                      Instance.GetComponent<FirearmBehavior>().casingPosition = new Vector2(x, y)

                        var firearm = Instance.GetComponent<FirearmBehaviour>();

                        firearm.ShotSounds = new AudioClip[]
            {
                ModAPI.LoadSound("poop.wav"),
            };

                        Cartridge customCartridge = ModAPI.FindCartridge("9mm");
                        customCartridge.name = "gun ammo wow";
                        customCartridge.Damage = 11f;
                        customCartridge.Recoil = 1f;
                        customCartridge.ImpactForce = 0.7f;
                        firearm.Cartridge = customCartridge;  
            
        }
    }
);                 
            //AK47S
			ModAPI.Register(
				new Modification()
				{
                    OriginalItem = ModAPI.FindSpawnable("Shotgun"),
                    NameOverride = "Assault Shotgun",
                    DescriptionOverride = "Shotgun that is used in battles.",
                    NameToOrderByOverride = "A1",
                    CategoryOverride = ModAPI.FindCategory("Firearms"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumb/17.png"),
                    AfterSpawn = (Instance) =>
                    {
                        ModAPI.KeepExtraObjects();

                        var M4A1Slide = Instance.transform.Find("Slide");

                       Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Colliders/sh4.png", 10f);
                        foreach (var c in Instance.GetComponents<Collider2D>())
                        {
                            GameObject.Destroy(c);
						}
                        Instance.FixColliders();   

                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/sh4.png");
                        Instance.GetComponent<FirearmBehaviour>().BulletsPerShot = 6;
//                      Instance.GetComponent<FirearmBehavior>().casingPosition = new Vector2(x, y)

                        var firearm = Instance.GetComponent<FirearmBehaviour>();

                        firearm.ShotSounds = new AudioClip[]
            {
                ModAPI.LoadSound("poop.wav"),
            };

                        Cartridge customCartridge = ModAPI.FindCartridge("9mm");
                        customCartridge.name = "gun ammo wow";
                        customCartridge.Damage = 11f;
                        customCartridge.Recoil = 1f;
                        customCartridge.ImpactForce = 0.7f;
                        firearm.Cartridge = customCartridge;  
            
        }
    }
);                           
            //AK47S
			ModAPI.Register(
				new Modification()
				{
                    OriginalItem = ModAPI.FindSpawnable("Shotgun"),
                    NameOverride = "Wooden Shotgun",
                    DescriptionOverride = "Farmer's main weapon",
                    NameToOrderByOverride = "A1",
                    CategoryOverride = ModAPI.FindCategory("Firearms"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumb/18.png"),
                    AfterSpawn = (Instance) =>
                    {
                        ModAPI.KeepExtraObjects();

                        var M4A1Slide = Instance.transform.Find("Slide");

                       Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Colliders/sh2.png", 10f);
                        foreach (var c in Instance.GetComponents<Collider2D>())
                        {
                            GameObject.Destroy(c);
						}
                        Instance.FixColliders();   

                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/sh2.png");
                        Instance.GetComponent<FirearmBehaviour>().BulletsPerShot = 6;
//                      Instance.GetComponent<FirearmBehavior>().casingPosition = new Vector2(x, y)

                        var firearm = Instance.GetComponent<FirearmBehaviour>();

                        firearm.ShotSounds = new AudioClip[]
            {
                ModAPI.LoadSound("poop.wav"),
            };

                        Cartridge customCartridge = ModAPI.FindCartridge("9mm");
                        customCartridge.name = "gun ammo wow";
                        customCartridge.Damage = 11f;
                        customCartridge.Recoil = 1f;
                        customCartridge.ImpactForce = 0.7f;
                        firearm.Cartridge = customCartridge;  
            
        }
    }
);            
            //AK47S
			ModAPI.Register(
				new Modification()
				{
                    OriginalItem = ModAPI.FindSpawnable("Shotgun"),
                    NameOverride = "Sawn Off Shotgun",
                    DescriptionOverride = "A shorter , effective shotgun variant",
                    NameToOrderByOverride = "A1",
                    CategoryOverride = ModAPI.FindCategory("Firearms"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumb/19.png"),
                    AfterSpawn = (Instance) =>
                    {
                        ModAPI.KeepExtraObjects();

                        var M4A1Slide = Instance.transform.Find("Slide");

                       Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Colliders/sh3.png", 10f);
                        foreach (var c in Instance.GetComponents<Collider2D>())
                        {
                            GameObject.Destroy(c);
						}
                        Instance.FixColliders();   

                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/sh3.png");
                        Instance.GetComponent<FirearmBehaviour>().BulletsPerShot = 6;
//                      Instance.GetComponent<FirearmBehavior>().casingPosition = new Vector2(x, y)

                        var firearm = Instance.GetComponent<FirearmBehaviour>();

                        firearm.ShotSounds = new AudioClip[]
            {
                ModAPI.LoadSound("poop.wav"),
            };

                        Cartridge customCartridge = ModAPI.FindCartridge("9mm");
                        customCartridge.name = "gun ammo wow";
                        customCartridge.Damage = 11f;
                        customCartridge.Recoil = 1f;
                        customCartridge.ImpactForce = 0.7f;
                        firearm.Cartridge = customCartridge;  
            
        }
    }
);                       
            //AK47S
			ModAPI.Register(
				new Modification()
				{
                    OriginalItem = ModAPI.FindSpawnable("Rocket Launcher"),
                    NameOverride = "Light Rocket Launcher",
                    DescriptionOverride = "Smaller rocket launcher",
                    NameToOrderByOverride = "A1",
                    CategoryOverride = ModAPI.FindCategory("Firearms"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumb/20.png"),
                    AfterSpawn = (Instance) =>
                    {
                        ModAPI.KeepExtraObjects();

                        var M4A1Slide = Instance.transform.Find("Slide");

                       Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Colliders/RPG1.png", 10f);
                        foreach (var c in Instance.GetComponents<Collider2D>())
                        {
                            GameObject.Destroy(c);
						}
                        Instance.FixColliders();   

                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/RPG1.png");
                        Instance.GetComponent<FirearmBehaviour>().BulletsPerShot = 1;
//                      Instance.GetComponent<FirearmBehavior>().casingPosition = new Vector2(x, y)

                        var firearm = Instance.GetComponent<FirearmBehaviour>();

                        firearm.ShotSounds = new AudioClip[]
            {
                ModAPI.LoadSound("poop.wav"),
            };

                        Cartridge customCartridge = ModAPI.FindCartridge("9mm");
                        customCartridge.name = "gun ammo wow";
                        customCartridge.Damage = 11f;
                        customCartridge.Recoil = 1f;
                        customCartridge.ImpactForce = 0.7f;
                        firearm.Cartridge = customCartridge;  
            
        }
    }
);                         
            //AK47S
			ModAPI.Register(
				new Modification()
				{
                    OriginalItem = ModAPI.FindSpawnable("Bazooka"),
                    NameOverride = "AT Rocket Launcher",
                    DescriptionOverride = "Anti Tank rocket launcher",
                    NameToOrderByOverride = "A1",
                    CategoryOverride = ModAPI.FindCategory("Firearms"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumb/60.png"),
                    AfterSpawn = (Instance) =>
                    {
                        ModAPI.KeepExtraObjects();

                        var M4A1Slide = Instance.transform.Find("Slide");

                       Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Colliders/RPG1.png", 10f);
                        foreach (var c in Instance.GetComponents<Collider2D>())
                        {
                            GameObject.Destroy(c);
						}
                        Instance.FixColliders();   

                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/RPG2.png");
                        Instance.GetComponent<FirearmBehaviour>().BulletsPerShot = 1;
//                      Instance.GetComponent<FirearmBehavior>().casingPosition = new Vector2(x, y)

                        var firearm = Instance.GetComponent<FirearmBehaviour>();

                        firearm.ShotSounds = new AudioClip[]
            {
                ModAPI.LoadSound("poop.wav"),
            };

                        Cartridge customCartridge = ModAPI.FindCartridge("9mm");
                        customCartridge.name = "gun ammo wow";
                        customCartridge.Damage = 11f;
                        customCartridge.Recoil = 1f;
                        customCartridge.ImpactForce = 0.7f;
                        firearm.Cartridge = customCartridge;  
            
        }
    }
);                                                       
            }
        }
    }
// Originally uploaded by 'Bondagad (vextorlous) , Sturmgeschutz :trollfaceL'. Do not reupload without their explicit permission.
